------------------------------------------------------------------------
r12364 | gerald | 2004-10-20 21:11:04 -0500 (Wed, 20 Oct 2004) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.7/packaging/nsis/ethereal.nsi
   M /releases/ethereal-0.10.7/plugins/opsi/packet-opsi.c
   M /releases/ethereal-0.10.7/plugins/opsi/packet-opsi.h

Pull in revision 12363 from the main branch.

------------------------------------------------------------------------
r12360 | gerald | 2004-10-20 14:13:52 -0500 (Wed, 20 Oct 2004) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.7/ChangeLog

Final update.

------------------------------------------------------------------------
r12359 | gerald | 2004-10-20 14:07:50 -0500 (Wed, 20 Oct 2004) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.7/Makefile.am
   M /releases/ethereal-0.10.7/Makefile.nmake
   M /releases/ethereal-0.10.7/NEWS
   D /releases/ethereal-0.10.7/capinfo.c
   A /releases/ethereal-0.10.7/capinfos.c (from /trunk/capinfos.c:12358)
   M /releases/ethereal-0.10.7/configure.in
   M /releases/ethereal-0.10.7/doc/Makefile.am
   M /releases/ethereal-0.10.7/doc/Makefile.nmake
   D /releases/ethereal-0.10.7/doc/capinfo.pod
   A /releases/ethereal-0.10.7/doc/capinfos.pod (from /trunk/doc/capinfos.pod:12358)
   M /releases/ethereal-0.10.7/docbook/eug_src/EUG_app_tools.xml
   M /releases/ethereal-0.10.7/docbook/eug_src/EUG_chapter_build_install.xml
   M /releases/ethereal-0.10.7/image/Makefile.nmake
   D /releases/ethereal-0.10.7/image/capinfo.rc.in
   A /releases/ethereal-0.10.7/image/capinfos.rc.in (from /trunk/image/capinfos.rc.in:12358)
   M /releases/ethereal-0.10.7/packaging/nsis/Makefile.nmake
   M /releases/ethereal-0.10.7/packaging/nsis/ethereal.nsi

Pull in rev 12358: Rename "capinfo" to "capinfos".

------------------------------------------------------------------------
r12357 | gerald | 2004-10-20 11:48:58 -0500 (Wed, 20 Oct 2004) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.7/ChangeLog
   M /releases/ethereal-0.10.7/NEWS

Update NEWS and ChangeLog for 0.10.7.

------------------------------------------------------------------------
r12356 | gerald | 2004-10-20 10:30:19 -0500 (Wed, 20 Oct 2004) | 27 lines
Changed paths:
   M /releases/ethereal-0.10.7
   M /releases/ethereal-0.10.7/AUTHORS
   M /releases/ethereal-0.10.7/config.nmake
   M /releases/ethereal-0.10.7/doc/tethereal.pod
   M /releases/ethereal-0.10.7/docbook/developer-guide.xml
   A /releases/ethereal-0.10.7/docbook/edg_src/EDG_chapter_capture.xml (from /trunk/docbook/edg_src/EDG_chapter_capture.xml:12355)
   M /releases/ethereal-0.10.7/docbook/edg_src/EDG_chapter_env_intro.xml
   M /releases/ethereal-0.10.7/docbook/edg_src/EDG_chapter_userinterface.xml
   M /releases/ethereal-0.10.7/epan/dissectors/packet-diameter.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-smb.c
   M /releases/ethereal-0.10.7/epan/libethereal.def
   M /releases/ethereal-0.10.7/tethereal.c
   M /releases/ethereal-0.10.7/wiretap/nettl.c

Merge in revisions from the main trunk:

12342: Fix a cut/paste error in packet-smb.c.

12343: Fix a compiler warning in packet-diameter.c.

12344: Add range preference functions to libethereal.def.

12345: Add AUTHORS-SHORT-FORMAT to the list of files to ignore.

12348: Fix whitespace in EDG_chapter_env_intro.xml.

12349: Add EDG_chapter_capture.xml.

12350: Fix enums recognition in packet-diameter.c.

12351: Fix FDDI bit swap and enhance merging in nettl.c.

12352: Fix packet preamble/finale printing in tethereal.c.

12353: Update the tethereal man page for the previous fix.

12354: Add web GTK resources to the Developer's Guide.

12355: Export bytes_to_str_punct() in libethereal.def.


------------------------------------------------------------------------
r12341 | gerald | 2004-10-18 10:14:13 -0500 (Mon, 18 Oct 2004) | 2 lines
Changed paths:
   M /releases/ethereal-0.10.7/AUTHORS
   M /releases/ethereal-0.10.7/Makefile.am
   M /releases/ethereal-0.10.7/Makefile.nmake
   M /releases/ethereal-0.10.7/doc/Makefile.am
   M /releases/ethereal-0.10.7/doc/Makefile.nmake
   M /releases/ethereal-0.10.7/docbook/README.txt
   M /releases/ethereal-0.10.7/docbook/edg_src/EDG_chapter_libraries.xml
   M /releases/ethereal-0.10.7/epan/dissectors/packet-ber.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-bootp.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-dcm.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-diameter.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-gprs-llc.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-gsm_a.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-kerberos.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-rtp.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-rtp.h
   M /releases/ethereal-0.10.7/epan/dissectors/packet-sip.c
   M /releases/ethereal-0.10.7/epan/dissectors/packet-tcap.c
   M /releases/ethereal-0.10.7/epan/libethereal.def
   M /releases/ethereal-0.10.7/epan/prefs-int.h
   M /releases/ethereal-0.10.7/epan/prefs.c
   M /releases/ethereal-0.10.7/epan/prefs.h
   M /releases/ethereal-0.10.7/epan/range.c
   M /releases/ethereal-0.10.7/epan/range.h
   M /releases/ethereal-0.10.7/gtk/file_dlg.c
   M /releases/ethereal-0.10.7/gtk/main.c
   M /releases/ethereal-0.10.7/gtk/prefs_dlg.c
   M /releases/ethereal-0.10.7/gtk/print_dlg.c
   M /releases/ethereal-0.10.7/gtk/range_utils.c
   M /releases/ethereal-0.10.7/gtk/range_utils.h
   M /releases/ethereal-0.10.7/gtk/rtp_analysis.c
   A /releases/ethereal-0.10.7/make-authors-format.pl (from /trunk/make-authors-format.pl:12340)
   M /releases/ethereal-0.10.7/make-authors-short.pl
   D /releases/ethereal-0.10.7/make-authors-short2.pl
   M /releases/ethereal-0.10.7/manuf
   M /releases/ethereal-0.10.7/merge.c
   M /releases/ethereal-0.10.7/merge.h
   M /releases/ethereal-0.10.7/packaging/nsis/Makefile.nmake
   M /releases/ethereal-0.10.7/packaging/nsis/ethereal.nsi
   M /releases/ethereal-0.10.7/packet-range.c
   M /releases/ethereal-0.10.7/packet-range.h
   A /releases/ethereal-0.10.7/perlnoutf.pl (from /trunk/perlnoutf.pl:12340)
   M /releases/ethereal-0.10.7/tap-protocolinfo.c
   A /releases/ethereal-0.10.7/tools/unix2dos.pl (from /trunk/tools/unix2dos.pl:12340)
   M /releases/ethereal-0.10.7/wiretap/netxray.c
   M /releases/ethereal-0.10.7/xmlstub.c
   M /releases/ethereal-0.10.7/xmlstub.h

Update to the current trunk.

------------------------------------------------------------------------
r12307 | gerald | 2004-10-15 14:07:01 -0500 (Fri, 15 Oct 2004) | 2 lines
Changed paths:
   A /releases/ethereal-0.10.7 (from /trunk:12306)

Create the 0.10.7 release branch.

------------------------------------------------------------------------
r12306 | gerald | 2004-10-15 14:02:47 -0500 (Fri, 15 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Fix a cut-and-paste error.

------------------------------------------------------------------------
r12305 | gerald | 2004-10-15 13:30:05 -0500 (Fri, 15 Oct 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/epan/Makefile.nmake

Updates to reflect revision 4 of ethereal-win32-libs.

------------------------------------------------------------------------
r12304 | gerald | 2004-10-15 10:36:12 -0500 (Fri, 15 Oct 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dissectors/Makefile.nmake
   M /trunk/epan/dissectors/packet-kerberos.c

Add support for decoding DES3/CBC/MD5 keys.  Make it disabled by default.

Whitespace cleanup.

------------------------------------------------------------------------
r12303 | gerald | 2004-10-15 10:08:00 -0500 (Fri, 15 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/libethereal.def

Add range_convert_range and ranges_are_equal.

------------------------------------------------------------------------
r12302 | jmayer | 2004-10-15 01:51:48 -0500 (Fri, 15 Oct 2004) | 1 line
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in

Dectect MIT-Kerberos as well
------------------------------------------------------------------------
r12301 | guy | 2004-10-15 00:54:33 -0500 (Fri, 15 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcap.c

Don't declare functions inside functions - not all C compilers support
that.

------------------------------------------------------------------------
r12300 | guy | 2004-10-14 18:45:09 -0500 (Thu, 14 Oct 2004) | 2 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/epan/range.c
   M /trunk/epan/range.h
   M /trunk/gtk/prefs_dlg.c

From Jeff Morriss: PREF_RANGE preference type, for ranges of integers.

------------------------------------------------------------------------
r12299 | guy | 2004-10-14 16:59:17 -0500 (Thu, 14 Oct 2004) | 2 lines
Changed paths:
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

From Mark C. Brown: add 100VG support.

------------------------------------------------------------------------
r12298 | ulfl | 2004-10-14 13:05:39 -0500 (Thu, 14 Oct 2004) | 1 line
Changed paths:
   M /trunk/docbook/edg_src/EDG_chapter_sources.xml
   M /trunk/docbook/edg_src/EDG_chapter_tools.xml

from Francisco Alcoba: mention TortoiseSVN diff and patch features
------------------------------------------------------------------------
r12297 | tuexen | 2004-10-14 11:23:11 -0500 (Thu, 14 Oct 2004) | 3 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

Fix bugs to get it working on gtk1 and gtk2.
Some clean ups.

------------------------------------------------------------------------
r12296 | sahlberg | 2004-10-14 04:51:54 -0500 (Thu, 14 Oct 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

add support in packet-kerberos to use MIT Kerberos API to parse keytabs and decrypt blobs
if HAVE_KERBEROS and HAVE_MIT_KERBEROS are both defined in config.h


Now we need someone to hack up the required automake magic to detect MIT Kerberos and massage the makefiles accordingly.



------------------------------------------------------------------------
r12295 | guy | 2004-10-14 03:02:58 -0500 (Thu, 14 Oct 2004) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Use "tvb_format_stringzpad()" rather than "tvb_format_text()", as per
RFC 2132, which says

	Options containing NVT ASCII data SHOULD NOT include a trailing
	NULL; however, the receiver of such options MUST be prepared to
	      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
	delete trailing nulls if they exist.
	^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

------------------------------------------------------------------------
r12294 | guy | 2004-10-14 02:42:31 -0500 (Thu, 14 Oct 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Get rid of C++ comments.

Add more COPS client type values from the IANA cops-parameters page.

Get rid of per-dissection static variables - pass them as parameters.

Make functions not used outside packet-cops.c static.

------------------------------------------------------------------------
r12293 | guy | 2004-10-13 22:29:35 -0500 (Wed, 13 Oct 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h

Add the application ID for credit control, as per
draft-ietf-aaa-diameter-cc-06.

Indicate where the Diameter application IDs for 3GPP stuff came from.

Update URLs for various Diameter drafts.

------------------------------------------------------------------------
r12292 | guy | 2004-10-13 18:03:56 -0500 (Wed, 13 Oct 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Give Steve Sommars' real name and work e-mail address.

------------------------------------------------------------------------
r12291 | tuexen | 2004-10-13 03:41:32 -0500 (Wed, 13 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Make sure that the IPv4 and IPv6 address parameters are always processed to support tabbing.

------------------------------------------------------------------------
r12290 | sahlberg | 2004-10-12 19:21:00 -0500 (Tue, 12 Oct 2004) | 3 lines
Changed paths:
   M /trunk/asn1/cms/cms.cnf
   M /trunk/epan/dissectors/packet-cms.c

get rid of some compiler warnings for cms


------------------------------------------------------------------------
r12289 | sahlberg | 2004-10-12 19:16:42 -0500 (Tue, 12 Oct 2004) | 3 lines
Changed paths:
   M /trunk/asn1/x509af/x509af.cnf
   M /trunk/epan/dissectors/packet-x509af.c

get rid of some compiler warnings for X509AF


------------------------------------------------------------------------
r12288 | sahlberg | 2004-10-12 19:08:44 -0500 (Tue, 12 Oct 2004) | 3 lines
Changed paths:
   M /trunk/asn1/h248/MEGACO.asn
   M /trunk/epan/dissectors/packet-h248.c

final massaging to get rid of the last remaining compiler warnings for megaco


------------------------------------------------------------------------
r12287 | sahlberg | 2004-10-12 18:56:41 -0500 (Tue, 12 Oct 2004) | 3 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

get rid of some more compiler warnings


------------------------------------------------------------------------
r12286 | sahlberg | 2004-10-12 18:40:51 -0500 (Tue, 12 Oct 2004) | 4 lines
Changed paths:
   M /trunk/asn1/h248/MEGACO.asn
   M /trunk/asn1/h248/h248.cnf
   M /trunk/epan/dissectors/packet-h248.c

massage the h248 files so that it compiles with asn2eth without warnings



------------------------------------------------------------------------
r12285 | tuexen | 2004-10-12 13:20:51 -0500 (Tue, 12 Oct 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Add Comment for Irene Ruengeler.

------------------------------------------------------------------------
r12284 | tuexen | 2004-10-12 13:18:44 -0500 (Tue, 12 Oct 2004) | 2 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

Support PPID and port number based selection for SCTP. From Irene Ruengeler.

------------------------------------------------------------------------
r12283 | guy | 2004-10-12 13:08:23 -0500 (Tue, 12 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/column-utils.c

From Tomas Kukosa: fix "col_set_str()" to work correctly with fenced
columns.

------------------------------------------------------------------------
r12282 | guy | 2004-10-12 13:00:39 -0500 (Tue, 12 Oct 2004) | 7 lines
Changed paths:
   M /trunk/acinclude.m4

From Albert Chin: in a test program, include <glibconfig.h> rather than
<glib.h> when checking for the format for 64-bit integers, as, on
Solaris 2.5.1, <glib.h> ends up defining a function that requires stuff
from glib, and the test program isn't linked with glib - including
<glibconfig.h> is sufficient to get guint64 defined, and that's all we
need.

------------------------------------------------------------------------
r12281 | guy | 2004-10-12 12:51:13 -0500 (Tue, 12 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

From Ronnie Sahlberg: set a variable before we test it.

------------------------------------------------------------------------
r12280 | guy | 2004-10-12 12:40:31 -0500 (Tue, 12 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h
   M /trunk/epan/dissectors/packet-h248.c

Re-generate with latest asn2eth.

------------------------------------------------------------------------
r12279 | guy | 2004-10-12 12:23:15 -0500 (Tue, 12 Oct 2004) | 3 lines
Changed paths:
   M /trunk/wiretap/nettl.c

From Mark C. Brown: support dumping files with the raw ICMP and raw
ICMPv6 encapsulations.

------------------------------------------------------------------------
r12277 | guy | 2004-10-12 03:11:46 -0500 (Tue, 12 Oct 2004) | 6 lines
Changed paths:
   M /trunk/tools/asn2eth.py

From Tomas Kukosa:

	- avoid assignemnt to None which is deprecated in Python 2.3
	- fix bug when one field is used both with and without implicit
	  tag

------------------------------------------------------------------------
r12276 | guy | 2004-10-12 03:09:07 -0500 (Tue, 12 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pkinit.h

Check in a regenerated file we missed.

------------------------------------------------------------------------
r12275 | guy | 2004-10-12 03:05:58 -0500 (Tue, 12 Oct 2004) | 2 lines
Changed paths:
   M /trunk/wiretap/nettl.c

Correctly update the count of bytes dumped.

------------------------------------------------------------------------
r12274 | ulfl | 2004-10-12 01:32:57 -0500 (Tue, 12 Oct 2004) | 1 line
Changed paths:
   M /trunk/wiretap/nettl.c

fix MSVC unused magic warning
------------------------------------------------------------------------
r12273 | ulfl | 2004-10-12 01:27:09 -0500 (Tue, 12 Oct 2004) | 1 line
Changed paths:
   M /trunk/docbook/edg_src/EDG_chapter_sources.xml

how to use the ./configure script to build gtk1.x versions for unix builds
------------------------------------------------------------------------
r12272 | ulfl | 2004-10-12 01:11:30 -0500 (Tue, 12 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/capture_dlg.c

fix a bug reported by venkata sandeep: capture->start->capture files dialog browse function used FILE_SELECTION_OPEN instead of the correct FILE_SELECTION_WRITE_BROWSE. Now you can (again) select and enter the filename to write capture data to.
------------------------------------------------------------------------
r12271 | etxrab | 2004-10-12 00:00:37 -0500 (Tue, 12 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h248.c

Pretyfy EventName and SignalName
------------------------------------------------------------------------
r12270 | etxrab | 2004-10-11 23:59:25 -0500 (Mon, 11 Oct 2004) | 1 line
Changed paths:
   M /trunk/asn1/h248/MEGACO.asn
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c

Pretify EventName and SignalName
------------------------------------------------------------------------
r12269 | guy | 2004-10-11 22:13:17 -0500 (Mon, 11 Oct 2004) | 4 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/prefs_dlg.c

Check the values of the protocol preferences before fetching them; if
any are not valid, pop up an alert box and don't dismiss the preferences
dialog.

------------------------------------------------------------------------
r12268 | etxrab | 2004-10-11 16:19:12 -0500 (Mon, 11 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/sigcomp-udvm.c

Fix (hopefully) a compiler varning
------------------------------------------------------------------------
r12267 | guy | 2004-10-11 13:36:51 -0500 (Mon, 11 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h235.h
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-ns_cert_exts.c
   M /trunk/epan/dissectors/packet-pkcs1.c
   M /trunk/epan/dissectors/packet-pkcs1.h
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.h
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509ce.h
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509if.h
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h

Re-generate a number of ASN.1-based dissectors with the most recent
version of asn2eth.

------------------------------------------------------------------------
r12266 | guy | 2004-10-11 13:35:26 -0500 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/plugins/Xplugin_table.h

Constify more pointer arguments.

------------------------------------------------------------------------
r12265 | guy | 2004-10-11 13:34:54 -0500 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/plugins/plugin_api_list.c

Constify more pointer arguments.

------------------------------------------------------------------------
r12263 | sahlberg | 2004-10-11 07:04:35 -0500 (Mon, 11 Oct 2004) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-h225.c

From Martin M,   update h2250 so that some things that are supposed to be strings are printed as strings and not as hex data.



------------------------------------------------------------------------
r12262 | sahlberg | 2004-10-11 07:00:08 -0500 (Mon, 11 Oct 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

dissect_per_restricted_character_string() was almost completely broken when it came to PrintableString.
I am amazed it worked at all and noone complained.

It is little less broken now and handles some of the PrintableStrings  properly.



------------------------------------------------------------------------
r12261 | guy | 2004-10-11 03:36:55 -0500 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/tools/asn2eth.py

More constification of arrays.

------------------------------------------------------------------------
r12260 | guy | 2004-10-11 03:24:46 -0500 (Mon, 11 Oct 2004) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/packaging/nsis/ethereal.nsi

From Olivier Jacques: add imscxdx.xml to the source tarball and NSIS
packaging information.

------------------------------------------------------------------------
r12259 | sahlberg | 2004-10-11 03:12:34 -0500 (Mon, 11 Oct 2004) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

 small fix for TCP ACK RTT, the measurements for the time it took to ack some data.

Only display this value if we really have some data to ACK
which is not always the case.

This fixes a problem recently reported to the list



------------------------------------------------------------------------
r12258 | guy | 2004-10-11 02:18:20 -0500 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

From Mark C. Brown: add support for writing nettl files.

------------------------------------------------------------------------
r12257 | guy | 2004-10-11 02:15:36 -0500 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS

From Mark C. Brown: fix a typo.

------------------------------------------------------------------------
r12256 | guy | 2004-10-11 02:15:08 -0500 (Mon, 11 Oct 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/oui.h

From Mark C. Brown: add HP's OUI.

Update Gerald's e-mail address.

------------------------------------------------------------------------
r12255 | guy | 2004-10-11 01:51:19 -0500 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-t38.c

Make "per_choice_t" and "per_sequence_t" structures "const" structures.

------------------------------------------------------------------------
r12254 | guy | 2004-10-11 01:39:04 -0500 (Mon, 11 Oct 2004) | 3 lines
Changed paths:
   M /trunk/plugins/Xplugin_table.h

Make the "per_choice_t" and "per_sequence_t" pointer arguments pointers
to const.

------------------------------------------------------------------------
r12253 | guy | 2004-10-11 01:38:12 -0500 (Mon, 11 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h
   M /trunk/plugins/plugin_api_list.c

Make the "per_choice_t" and "per_sequence_t" pointer arguments pointers
to const.

------------------------------------------------------------------------
r12252 | guy | 2004-10-11 01:31:23 -0500 (Mon, 11 Oct 2004) | 2 lines
Changed paths:
   M /trunk/tools/asn2eth.py

Constify "asn_namedbit" structures.

------------------------------------------------------------------------
r12251 | etxrab | 2004-10-11 00:23:31 -0500 (Mon, 11 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/rtp_analysis.c

From: "Alejandro Vaquero : Add IP bandwidth calculation in RTP analysis (in Kbps).
------------------------------------------------------------------------
r12250 | gerald | 2004-10-09 11:30:26 -0500 (Sat, 09 Oct 2004) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.am

Add cfilter_combo_utils.h to the distribution, so that we pass distcheck.

------------------------------------------------------------------------
r12249 | ulfl | 2004-10-09 02:48:13 -0500 (Sat, 09 Oct 2004) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

update setup target to latest GTK library files
------------------------------------------------------------------------
r12248 | ulfl | 2004-10-09 02:44:41 -0500 (Sat, 09 Oct 2004) | 1 line
Changed paths:
   M /trunk/plugins/Xplugin_table.h
   M /trunk/plugins/plugin_api_list.c

remove some MSVC warnings
------------------------------------------------------------------------
r12247 | guy | 2004-10-08 16:14:33 -0500 (Fri, 08 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h

Make the "asn_namedbit *" argument to "dissect_ber_bitstring()" a
"const" pointer.

------------------------------------------------------------------------
r12246 | guy | 2004-10-08 15:43:43 -0500 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/tools/asn2eth.py

Make "ber_sequence" tables "const".

------------------------------------------------------------------------
r12245 | guy | 2004-10-08 15:28:04 -0500 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509if/packet-x509if-template.c

Make the ber_sequence tables "const".

------------------------------------------------------------------------
r12244 | guy | 2004-10-08 15:24:23 -0500 (Fri, 08 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h

"dissect_ber_sequence()" doesn't modify the "ber_sequence" structure
passed to it; make that argument a const pointer.

------------------------------------------------------------------------
r12243 | gerald | 2004-10-08 14:06:28 -0500 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in

Bump the version to 0.10.7.

------------------------------------------------------------------------
r12242 | gerald | 2004-10-08 12:24:18 -0500 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Remove an unused variable.

------------------------------------------------------------------------
r12241 | guy | 2004-10-08 12:01:43 -0500 (Fri, 08 Oct 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-ldp.h
   M /trunk/epan/dissectors/packet-mpls-echo.c

From Carlos Pignataro: decode more TLVs and subTLVs and make some small
fixes.

Include "packet-ldp.h" in "packet-ldp.c" (if we'd been doing that, the
mismatch between "packet-ldp.h"'s declaration of "fec_vc_types_vals[]"
and "packet-ldp.c"'s definition of it would have been caught earlier).

------------------------------------------------------------------------
r12240 | guy | 2004-10-08 11:56:16 -0500 (Fri, 08 Oct 2004) | 4 lines
Changed paths:
   M /trunk/epan/sigcomp-udvm.c

Use "%%" in format strings if you want to print a %.

Get rid of an extra argument to a format string.

------------------------------------------------------------------------
r12239 | guy | 2004-10-08 11:42:27 -0500 (Fri, 08 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sigcomp.c

"dissect_sigcomp()" returns 0 or the packet length, so it has to be
registered with "new_register_dissector()".

------------------------------------------------------------------------
r12238 | guy | 2004-10-08 11:40:36 -0500 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h

Force 4294967295 to be unsigned, to squelch a compiler warning.

------------------------------------------------------------------------
r12237 | etxrab | 2004-10-08 10:55:06 -0500 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sigcomp.c

Add sigcomp Universal Decompressor Virtual Machine (UDVM) and state handler, for decompression of
sigcomp messages. Currently states are or not saved so only messages with bytecode can be decompressed.
------------------------------------------------------------------------
r12236 | etxrab | 2004-10-08 10:54:06 -0500 (Fri, 08 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/sigcomp-udvm.c
   A /trunk/epan/sigcomp-udvm.h
   A /trunk/epan/sigcomp_state_hdlr.c
   A /trunk/epan/sigcomp_state_hdlr.h

Add sigcomp Universal Decompressor Virtual Machine (UDVM) and state handler, for decompression of
sigcomp messages. Currently states are or not saved so only messages with bytecode can be decompressed.
------------------------------------------------------------------------
r12235 | etxrab | 2004-10-08 04:35:56 -0500 (Fri, 08 Oct 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h
   M /trunk/epan/dissectors/packet-diameter.c

From: "Jacques, Olivier :
- Added new RFC 3588 header format support (vendor-Id is replaced by
application-Id) and command code has its own separated name space. The
Draft v16 behaviour is maintained (through Preferences menu).
- Added 3GPP IMS Cx/Dx interface decoding (new imscxdx.xml)
- Fixed some issues in dictionary.xml
- Refreshed Diameter applications in embedded AVPs (that do not rely on
XML dictionary)
------------------------------------------------------------------------
r12234 | etxrab | 2004-10-08 04:35:02 -0500 (Fri, 08 Oct 2004) | 9 lines
Changed paths:
   M /trunk/dictionary.xml
   A /trunk/imscxdx.xml

From: "Jacques, Olivier :
- Added new RFC 3588 header format support (vendor-Id is replaced by
application-Id) and command code has its own separated name space. The
Draft v16 behaviour is maintained (through Preferences menu).
- Added 3GPP IMS Cx/Dx interface decoding (new imscxdx.xml)
- Fixed some issues in dictionary.xml
- Refreshed Diameter applications in embedded AVPs (that do not rely on
XML dictionary)

------------------------------------------------------------------------
r12233 | gerald | 2004-10-07 15:30:35 -0500 (Thu, 07 Oct 2004) | 2 lines
Changed paths:
   M /trunk/gtk/help_dlg.c

Update the Example Files (sample captures) link.

------------------------------------------------------------------------
r12232 | gerald | 2004-10-07 14:22:54 -0500 (Thu, 07 Oct 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cops.c

Add support for the PacketCable Multimedia Specification (PKT-SP-MM-
I02-040930).  The code had to be integrated with the existing D-QoS code,
and has not been extensively tested.  Add ports for PacketCable D-QoS
(2126) and Multimedia (3918).  Code contributed by CableLabs.


------------------------------------------------------------------------
r12231 | etxrab | 2004-10-07 04:32:25 -0500 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   D /trunk/asn1/h248-package-bcp

Get rid off h248-package-pcp
------------------------------------------------------------------------
r12230 | etxrab | 2004-10-07 04:29:49 -0500 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   D /trunk/asn1/h248-package-bcp/BCP.asn
   D /trunk/asn1/h248-package-bcp/h248_package_bcp.cnf
   D /trunk/asn1/h248-package-bcp/packet-h248_package_bcp-template.c
   D /trunk/asn1/h248-package-bcp/packet-h248_package_bcp-template.h

Get rid off h248-package-pcp
------------------------------------------------------------------------
r12229 | etxrab | 2004-10-07 04:28:28 -0500 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Get rid of h248-package-bcp, as it is no longer needed.
------------------------------------------------------------------------
r12228 | etxrab | 2004-10-07 04:25:21 -0500 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h248.c

Added dissection of some packages Property ID:s
------------------------------------------------------------------------
r12227 | etxrab | 2004-10-07 04:16:13 -0500 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c

Handle dissection of some packagees Property ID:s, get rid of h248-package-bcp as  there is only one parameter in this package.
------------------------------------------------------------------------
r12226 | etxrab | 2004-10-07 04:04:51 -0500 (Thu, 07 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-isup.h

Export some value strings and a function, some minor bug fixes.
------------------------------------------------------------------------
r12225 | guy | 2004-10-06 22:50:16 -0500 (Wed, 06 Oct 2004) | 11 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/cfilter_combo_utils.c
   M /trunk/gtk/cfilter_combo_utils.h

Save the capture filter in the recent list iff the capture succeeds. 
Checking the syntax involves opening a device, which

	1) might not succeed

and

	2) might tie up a BPF device or otherwise consume resources

so we leave it up to the capture operation to do the checking.

------------------------------------------------------------------------
r12224 | guy | 2004-10-06 12:52:57 -0500 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Note that variadic macros shouldn't be used.

------------------------------------------------------------------------
r12223 | guy | 2004-10-06 12:37:47 -0500 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

"tvb_reported_length_remaining()" returns a "gint", so assign its return
value to a "gint".

------------------------------------------------------------------------
r12222 | ulfl | 2004-10-06 12:29:53 -0500 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Fix a bug reported by Keith A French: No "OK" button for Capture Filter dialog. 
Probably caused by the changes of the capture filter drop down box in the capture prepare dialog.

------------------------------------------------------------------------
r12221 | ulfl | 2004-10-06 12:08:25 -0500 (Wed, 06 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

remove MSVC compiler warning
------------------------------------------------------------------------
r12220 | ulfl | 2004-10-06 12:06:12 -0500 (Wed, 06 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

bring MSVC generation back to live, as elipses in macros are not alowed. May need some more rework.
------------------------------------------------------------------------
r12219 | guy | 2004-10-06 05:14:56 -0500 (Wed, 06 Oct 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

We now do reassembly.

Use "tvb_reported_length_remaining()", not "tvb_length_remaining()", to
find out how much encapsulated data there is, so we properly handle
short frames (reporting how much was really there, not how much was
captured).

------------------------------------------------------------------------
r12218 | guy | 2004-10-06 05:08:29 -0500 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

From Mark C. Brown: add EISA 100BaseTX, EISA FDDI, and HSC FDDI support,
and make a small performance fix to HP-PB FDDI.

------------------------------------------------------------------------
r12217 | guy | 2004-10-06 05:01:36 -0500 (Wed, 06 Oct 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icep.c

Add support for reassembly.

The reason why you need to turn on "Try heuristic sub-dissector first"
is that the traffic might be port 10000 traffic, and the NDMP dissector
gets that but doesn't properly reject it if it doesn't look like NDMP -
that's been fixed.

------------------------------------------------------------------------
r12216 | guy | 2004-10-06 04:59:50 -0500 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ndmp.c

Properly reject packets that don't look like NDMP packets.

------------------------------------------------------------------------
r12215 | guy | 2004-10-06 04:03:42 -0500 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-icep.c

From Francesco Fondelli: ICE protocol support.

------------------------------------------------------------------------
r12214 | guy | 2004-10-06 02:25:38 -0500 (Wed, 06 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Give some more details on the hang in RH 9.

------------------------------------------------------------------------
r12213 | guy | 2004-10-06 02:21:05 -0500 (Wed, 06 Oct 2004) | 3 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

From Alejandro Vaquero: make the window bigger so we don't have
overlapped buttons.

------------------------------------------------------------------------
r12212 | guy | 2004-10-05 18:34:53 -0500 (Tue, 05 Oct 2004) | 6 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Make the default capture filter be the last one used, as it was before -
it's a pain to have to keep typing the same filter over and over again
if you're trying multiple captures of the same type of traffic.  At
least with GTK+ 2.x, the text of the filter is selected, so if you start
typing a new filter it'll replace the default filter.

------------------------------------------------------------------------
r12211 | guy | 2004-10-05 18:22:36 -0500 (Tue, 05 Oct 2004) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Use "tvb_format_text()" for string items, so non-printable characters
don't get stuck into protocol tree item representations (and so that
they can be more easily found if, as, and when we get around to handling
different character encodings).

Clean up white space.

Get rid of another sprintf() on top of a string constant.

------------------------------------------------------------------------
r12210 | guy | 2004-10-05 18:02:09 -0500 (Tue, 05 Oct 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Fix a bunch of compiler warnings (and some code that was bogusly
attempting to overwrite a string constant - possibly with a longer
string!).

------------------------------------------------------------------------
r12209 | guy | 2004-10-05 17:48:36 -0500 (Tue, 05 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Turn off the longjmping stuff when doing name lookups - it appears to
cause problems on RH9 when using ADNS, too.

------------------------------------------------------------------------
r12208 | gerald | 2004-10-05 12:44:53 -0500 (Tue, 05 Oct 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Decode cable modem and MTA device capabilities.  Make the CableLabs
Client Configuration option number configurable.  Add an option to switch
between the CCC versions defined in PKT-SP-PROV-I05-021127, IETF draft 5,
and RFC 3495.  Code contributed by CableLabs.

Remove an unneeded macro.

------------------------------------------------------------------------
r12207 | gerald | 2004-10-05 12:44:03 -0500 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Actually use radius_vendor_packetcable_policy_decision_status_vals.

------------------------------------------------------------------------
r12206 | sahlberg | 2004-10-05 06:20:43 -0500 (Tue, 05 Oct 2004) | 4 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   A /trunk/asn1/h248-package-bcp
   A /trunk/asn1/h248-package-bcp/BCP.asn
   A /trunk/asn1/h248-package-bcp/h248_package_bcp.cnf
   A /trunk/asn1/h248-package-bcp/packet-h248_package_bcp-template.c
   A /trunk/asn1/h248-package-bcp/packet-h248_package_bcp-template.h
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-h248.c
   A /trunk/epan/dissectors/packet-h248_package_bcp.c
   A /trunk/epan/dissectors/packet-h248_package_bcp.h

Add example template for how to add h248 extension packages to the megaco dissector



------------------------------------------------------------------------
r12205 | sahlberg | 2004-10-05 04:50:19 -0500 (Tue, 05 Oct 2004) | 4 lines
Changed paths:
   M /trunk/asn1/h248/MEGACO.asn
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

minor update   preparations to have a dissector table for property identifiers



------------------------------------------------------------------------
r12204 | guy | 2004-10-05 04:20:30 -0500 (Tue, 05 Oct 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h248.c

Set svn:keywords to Id to expand RCS IDs, and set svn:eol-style to
native to canonicalize line endings.  Then fix the line endings....

------------------------------------------------------------------------
r12203 | guy | 2004-10-05 04:18:55 -0500 (Tue, 05 Oct 2004) | 3 lines
Changed paths:
   M /trunk/asn1/cms/CryptographicMessageSyntax.asn
   M /trunk/asn1/cms/cms.cnf
   M /trunk/asn1/cms/cms_exp.cnf
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/cms/packet-cms-template.h
   M /trunk/asn1/h235/H235-SECURITY-MESSAGES.asn
   M /trunk/asn1/h248/MEGACO.asn
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/h248/packet-h248-template.h
   M /trunk/asn1/ns-cert-exts/NETSCAPE-CERT-EXTS.asn
   M /trunk/asn1/ns-cert-exts/ns_cert_exts.cnf
   M /trunk/asn1/ns-cert-exts/packet-ns_cert_exts-template.c
   M /trunk/asn1/ns-cert-exts/packet-ns_cert_exts-template.h
   M /trunk/asn1/pkcs1/PKCS1.asn
   M /trunk/asn1/pkcs1/packet-pkcs1-template.c
   M /trunk/asn1/pkcs1/packet-pkcs1-template.h
   M /trunk/asn1/pkcs1/pkcs1.cnf
   M /trunk/asn1/pkinit/PKINIT.asn
   M /trunk/asn1/pkinit/packet-pkinit-template.c
   M /trunk/asn1/pkinit/packet-pkinit-template.h
   M /trunk/asn1/pkinit/pkinit.cnf
   M /trunk/asn1/pkinit/pkinit_exp.cnf
   M /trunk/asn1/pkix1explicit/PKIX1EXPLICIT93.asn
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.h
   M /trunk/asn1/pkix1explicit/pkix1explicit.cnf
   M /trunk/asn1/pkix1explicit/pkix1explicit_exp.cnf
   M /trunk/asn1/pkix1implicit/PKIX1IMPLICIT93.asn
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.c
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.h
   M /trunk/asn1/pkix1implicit/pkix1implicit.cnf
   M /trunk/asn1/pkix1implicit/pkix1implicit_exp.cnf
   M /trunk/asn1/x509af/AuthenticationFramework.asn
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509af/packet-x509af-template.h
   M /trunk/asn1/x509af/x509af.cnf
   M /trunk/asn1/x509af/x509af_exp.cnf
   M /trunk/asn1/x509ce/CertificateExtensions.asn
   M /trunk/asn1/x509ce/packet-x509ce-template.c
   M /trunk/asn1/x509ce/packet-x509ce-template.h
   M /trunk/asn1/x509ce/x509ce.cnf
   M /trunk/asn1/x509ce/x509ce_exp.cnf
   M /trunk/asn1/x509if/InformationFramework.asn
   M /trunk/asn1/x509if/packet-x509if-template.c
   M /trunk/asn1/x509if/packet-x509if-template.h
   M /trunk/asn1/x509if/x509if.cnf
   M /trunk/asn1/x509if/x509if_exp.cnf
   M /trunk/asn1/x509sat/SelectedAttributeTypes.asn
   M /trunk/asn1/x509sat/packet-x509sat-template.c
   M /trunk/asn1/x509sat/packet-x509sat-template.h
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/asn1/x509sat/x509sat_exp.cnf

Set svn:keywords to Id to expand RCS IDs, and set svn:eol-style to
native to canonicalize line endings.

------------------------------------------------------------------------
r12202 | guy | 2004-10-05 03:59:57 -0500 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

From Mark C. Brown: support for the NETTL_SUBSYS_HPPB_FDDI records.

------------------------------------------------------------------------
r12201 | guy | 2004-10-05 03:51:16 -0500 (Tue, 05 Oct 2004) | 7 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

Don't use a terminating entry in the clock_map table, compute the number
of entries in it and check that many entries - that squelches a compiler
warning.

From Alejandro Vaquero: get rid of an unused argument to
"rtp_packet_add_graph()".

------------------------------------------------------------------------
r12200 | guy | 2004-10-05 03:27:21 -0500 (Tue, 05 Oct 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Add checks in "rd_add_field_to_tree()" for the length of the field.

Fix a compiler warning.

Clean up white space.

------------------------------------------------------------------------
r12199 | guy | 2004-10-05 03:09:58 -0500 (Tue, 05 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Put in the radius-types URL but don't list it as a reference.

------------------------------------------------------------------------
r12198 | etxrab | 2004-10-04 15:33:39 -0500 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

Regenerated with new template file
------------------------------------------------------------------------
r12197 | etxrab | 2004-10-04 15:28:15 -0500 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c

Fix some editing misstakes from this morning
------------------------------------------------------------------------
r12196 | gerald | 2004-10-04 15:15:38 -0500 (Mon, 04 Oct 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

De-@-ify email addresses.

------------------------------------------------------------------------
r12195 | gerald | 2004-10-04 15:13:35 -0500 (Mon, 04 Oct 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/sminmpec.c
   M /trunk/epan/sminmpec.h

Add support for the PacketCable Event Message Specification
(PKT-SP-EM-I09-040402).  Code contributed by CableLabs.


------------------------------------------------------------------------
r12194 | etxrab | 2004-10-04 00:50:55 -0500 (Mon, 04 Oct 2004) | 1 line
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c

Updated packetname value string.
------------------------------------------------------------------------
r12193 | sahlberg | 2004-10-03 17:04:37 -0500 (Sun, 03 Oct 2004) | 4 lines
Changed paths:
   M /trunk/asn1/h248/MEGACO.asn
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

stub prettification of PackageName
to be filled in by telco people


------------------------------------------------------------------------
r12192 | ulfl | 2004-10-03 11:29:40 -0500 (Sun, 03 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/rtp_stream_dlg.c

add some button tooltips, renamed some buttons
------------------------------------------------------------------------
r12191 | ulfl | 2004-10-03 11:28:29 -0500 (Sun, 03 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/h323_analysis.c

add some button tooltips
------------------------------------------------------------------------
r12190 | ulfl | 2004-10-03 07:26:09 -0500 (Sun, 03 Oct 2004) | 1 line
Changed paths:
   M /trunk/TODO

mark some things as DONE
------------------------------------------------------------------------
r12189 | sahlberg | 2004-10-03 06:50:25 -0500 (Sun, 03 Oct 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos4.c

minor kerberos4 update  handle app-req  properly



------------------------------------------------------------------------
r12188 | sahlberg | 2004-10-03 04:21:35 -0500 (Sun, 03 Oct 2004) | 3 lines
Changed paths:
   M /trunk/asn1/h248/MEGACO.asn
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

prettify  mtpAddress


------------------------------------------------------------------------
r12187 | sahlberg | 2004-10-03 02:57:15 -0500 (Sun, 03 Oct 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-h248.c
   A /trunk/epan/dissectors/packet-h248.h

new protocol :   H.248 MEGACO v 2
this dissector implements the binary encoding of megaco v2



------------------------------------------------------------------------
r12186 | sahlberg | 2004-10-03 02:52:53 -0500 (Sun, 03 Oct 2004) | 4 lines
Changed paths:
   A /trunk/asn1/h248
   A /trunk/asn1/h248/MEGACO.asn
   A /trunk/asn1/h248/h248.cnf
   A /trunk/asn1/h248/packet-h248-template.c
   A /trunk/asn1/h248/packet-h248-template.h

new protocol :  h248  Megaco v2
binary encoding 


------------------------------------------------------------------------
r12185 | ulfl | 2004-10-02 06:05:27 -0500 (Sat, 02 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/h323_analysis.c
   M /trunk/gtk/h323_conversations_dlg.c

added some comments
------------------------------------------------------------------------
r12184 | ulfl | 2004-10-02 04:34:12 -0500 (Sat, 02 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/ui_util.h

precise a comment
------------------------------------------------------------------------
r12183 | ulfl | 2004-10-02 03:41:52 -0500 (Sat, 02 Oct 2004) | 2 lines
Changed paths:
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c

removed ITU-T prefix from H225, so H.225 and H.323 are closer together.
If someone insists in using the ITU-T prefix, it should be applied to both protocols.
------------------------------------------------------------------------
r12182 | ulfl | 2004-10-02 03:31:58 -0500 (Sat, 02 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/h323_conversations_dlg.c

GUI fine tuning, e.g. removed useless "Unselect" button, some behaviour things, ...
------------------------------------------------------------------------
r12181 | guy | 2004-10-01 20:54:35 -0500 (Fri, 01 Oct 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/epan/libethereal.def

From Lars Roland: don't link EXTRA_OBJECTS unnecessarily with
ethereal.exe, tethereal.exe and dftest.exe.  Export mkstemp() from
libethereal.dll instead.

------------------------------------------------------------------------
r12180 | guy | 2004-10-01 20:53:02 -0500 (Fri, 01 Oct 2004) | 3 lines
Changed paths:
   M /trunk/dftest.c

From Lars Roland: define _NEED_VAR_IMPORT_ in dftest.c to make linking
with libethereal.dll work again.

------------------------------------------------------------------------
r12179 | guy | 2004-10-01 17:09:38 -0500 (Fri, 01 Oct 2004) | 5 lines
Changed paths:
   M /trunk/gtk/h323_conversations.c
   M /trunk/gtk/h323_conversations.h

Don't define "transport_prot_name[]" in "h323_conversations.h", as that
puts a separate copy in every file that includes "h323_conversations.h",
even if it doesn't use that copy.  Instead, define it in
"h323_conversations.c" and declare it in "h323_conversations.h".

------------------------------------------------------------------------
r12178 | guy | 2004-10-01 17:01:25 -0500 (Fri, 01 Oct 2004) | 5 lines
Changed paths:
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

From Mark C. Brown: add the HP-PB FDDI card type, although we currently
don't have any code to handle it (other than to report that fact...).

Also, refer to the subsystem type code as such, not as a "network type".

------------------------------------------------------------------------
r12177 | guy | 2004-10-01 14:54:46 -0500 (Fri, 01 Oct 2004) | 7 lines
Changed paths:
   M /trunk/tools/asn2eth.py

From Tomas Kukosa:

- fix for protocol registration (register_dissector() does not return
  handle)
- new directive REGISTER which can register PDU more than once
- implicit tagging environment is supported 

------------------------------------------------------------------------
r12176 | guy | 2004-10-01 14:50:03 -0500 (Fri, 01 Oct 2004) | 3 lines
Changed paths:
   M /trunk/doc/README.plugins
   M /trunk/plugins/acn/Makefile.nmake
   M /trunk/plugins/artnet/Makefile.nmake
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/ciscosm/Makefile.nmake
   M /trunk/plugins/docsis/Makefile.nmake
   M /trunk/plugins/enttec/Makefile.nmake
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/plugins/lwres/Makefile.nmake
   M /trunk/plugins/megaco/Makefile.nmake
   M /trunk/plugins/mgcp/Makefile.nmake
   M /trunk/plugins/opsi/Makefile.nmake
   M /trunk/plugins/pcli/Makefile.nmake
   M /trunk/plugins/rdm/Makefile.nmake
   M /trunk/plugins/rlm/Makefile.nmake
   M /trunk/plugins/rtnet/Makefile.nmake
   M /trunk/plugins/rudp/Makefile.nmake
   M /trunk/plugins/v5ua/Makefile.nmake

From Lars Roland: we need to define _NEED_VAR_IMPORT_ in plugins if we
link the plugins with libethereal, so do so.

------------------------------------------------------------------------
r12175 | ulfl | 2004-10-01 10:55:14 -0500 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/h323_conversations_dlg.c

indirection in menu entry not needed (maybe later again)
------------------------------------------------------------------------
r12174 | ulfl | 2004-10-01 10:36:53 -0500 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/h323_conversations_dlg.c

clarify column titles
------------------------------------------------------------------------
r12173 | jmayer | 2004-10-01 07:35:55 -0500 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-dhcpv6.c

initializing unsigned variables to -1 is considered interesting
------------------------------------------------------------------------
r12172 | jmayer | 2004-10-01 07:32:46 -0500 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/util.h

Get rid of warnings about shadowed variables (code was ok)
------------------------------------------------------------------------
r12171 | jmayer | 2004-10-01 07:31:52 -0500 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/epan/ftypes/ftypes.h
   M /trunk/tethereal.c
   M /trunk/wiretap/ascend.c
   M /trunk/wiretap/dbs-etherwatch.c
   M /trunk/wiretap/vms.c

Get rid of warnings about shadowed variables (code was ok)
------------------------------------------------------------------------
r12170 | jmayer | 2004-10-01 07:27:52 -0500 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/file.h

Trivial warning fix
------------------------------------------------------------------------
r12169 | guy | 2004-10-01 04:13:33 -0500 (Fri, 01 Oct 2004) | 2 lines
Changed paths:
   M /trunk/gtk/h323_analysis.c
   M /trunk/gtk/h323_analysis.h
   M /trunk/gtk/h323_conversations.c
   M /trunk/gtk/h323_conversations.h
   M /trunk/gtk/h323_conversations_dlg.c

From Francisco Alcoba: handle H.323 conversations over UDP and SCTP.

------------------------------------------------------------------------
r12168 | guy | 2004-10-01 03:33:53 -0500 (Fri, 01 Oct 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common
   A /trunk/epan/prefs-int.h (from /trunk/prefs-int.h:12163)
   M /trunk/epan/prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/recent.c
   D /trunk/prefs-int.h

"prefs-int.h" belongs in epan, too.

------------------------------------------------------------------------
r12167 | guy | 2004-10-01 02:29:22 -0500 (Fri, 01 Oct 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eap.c

From Jouni Malinen:

	adds support for dissecting EAP-FAST packets;

	add version field displaying for EAP-TTLS since the latest TTLS
	draft defines a new version mechanism (which matches with both
	EAP-PEAP and EAP-FAST in design).

------------------------------------------------------------------------
r12166 | guy | 2004-10-01 02:14:50 -0500 (Fri, 01 Oct 2004) | 9 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/gtk/rtp_analysis.c

From Alejandro Vaquero:

	RTP graphic analysis;

	assorted bug fixes;

	display delay and jitter in milliseconds, and add the percentage
	of lost packets to the statistics.

------------------------------------------------------------------------
r12165 | guy | 2004-10-01 02:07:03 -0500 (Fri, 01 Oct 2004) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-bgp.c

From Carlos Pignataro:

o Fix EXTENDED_COMMUNITIES output that was appending the Carried
  Extended communities; fix BGP_EXT_COM_L2INFO was not appending to the
  bgpext_com_type
o Update various text with the specific afi/safi
o Decode fields in MP Reach NLRI for labeled VPNv4 and labeled IPv4
  (and small offset fix for the latter)
o Decode unknown address family in MP Reach NLRI

------------------------------------------------------------------------
r12164 | guy | 2004-10-01 02:01:53 -0500 (Fri, 01 Oct 2004) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/sminmpec.c
   M /trunk/epan/sminmpec.h

From Kestutis Kupciunas: add new vendor enterprise codes for Gemtek
Systems and the Wi-Fi Alliance, and add Radius vendor-specific
attributes for them.

------------------------------------------------------------------------
r12163 | ulfl | 2004-10-01 00:42:02 -0500 (Fri, 01 Oct 2004) | 2 lines
Changed paths:
   M /trunk/gtk/h323_conversations_dlg.c

use "Analyze" not "Analyse", as in the menu.
add some tooltips
------------------------------------------------------------------------
r12162 | ulfl | 2004-10-01 00:17:53 -0500 (Fri, 01 Oct 2004) | 1 line
Changed paths:
   M /trunk/gtk/h323_analysis.c

removed unreferenced "label_stats"
------------------------------------------------------------------------
r12161 | guy | 2004-09-30 16:11:08 -0500 (Thu, 30 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/libethereal.def

Export "sminmpec_values[]" from libethereal, for the (future) benefit of
plugins ("future" because that depends on plugins linking with
libethereal.lib, which isn't yet the only way to build plugins).

------------------------------------------------------------------------
r12160 | guy | 2004-09-30 15:33:10 -0500 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h
   M /trunk/epan/dissectors/packet-diameter.c

Constify some more stuff.

------------------------------------------------------------------------
r12159 | guy | 2004-09-30 15:27:47 -0500 (Thu, 30 Sep 2004) | 11 lines
Changed paths:
   M /trunk/epan/Makefile.common
   M /trunk/epan/dissectors/packet-diameter-defs.h
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-radius.c
   A /trunk/epan/sminmpec.c
   A /trunk/epan/sminmpec.h

Move the #defines for SMI Network Management Private Enterprise Codes
for organizations to an <epan/sminmpec.h> header, and add in the ones
that were used (without #defines) in the Diameter dissector.

Merge the value_string tables for them from the Diameter and Radius
dissectors into epan/sminmpec.c and merge them.

Use that value_string table in the Diameter and Radius dissectors.

Constify some stuff in the Diameter dissector.

------------------------------------------------------------------------
r12158 | guy | 2004-09-30 14:54:01 -0500 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ptp.c

Give it an RCS ID.

------------------------------------------------------------------------
r12157 | guy | 2004-09-30 14:53:27 -0500 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pagp.c
   M /trunk/epan/dissectors/packet-ptp.c

Set svn:keywords to Id to expand RCS IDs.

------------------------------------------------------------------------
r12156 | guy | 2004-09-30 14:52:56 -0500 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pagp.c

Set svn:eol-style to native to make the line endings be appropriate for
the platform you're on.

------------------------------------------------------------------------
r12155 | guy | 2004-09-30 14:51:05 -0500 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/gtk/webbrowser.c

Set svn:keywords to Id to expand RCS IDs.

------------------------------------------------------------------------
r12154 | guy | 2004-09-30 14:49:48 -0500 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/gtk/h323_analysis.c
   M /trunk/gtk/h323_analysis.h
   M /trunk/gtk/h323_conversations.c
   M /trunk/gtk/h323_conversations.h
   M /trunk/gtk/h323_conversations_dlg.c
   M /trunk/gtk/h323_conversations_dlg.h
   M /trunk/gtk/webbrowser.c

Add an RCS ID.

------------------------------------------------------------------------
r12153 | guy | 2004-09-30 14:36:22 -0500 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /trunk/gtk/h323_analysis.c
   M /trunk/gtk/h323_analysis.h
   M /trunk/gtk/h323_conversations.c
   M /trunk/gtk/h323_conversations.h
   M /trunk/gtk/h323_conversations_dlg.c
   M /trunk/gtk/h323_conversations_dlg.h

Set svn:keywords to Id to expand RCS IDs, and set svn:eol-style to
native to canonicalize line endings.

------------------------------------------------------------------------
r12152 | etxrab | 2004-09-30 13:26:35 -0500 (Thu, 30 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Don't undo the last changes
------------------------------------------------------------------------
r12151 | etxrab | 2004-09-30 13:18:39 -0500 (Thu, 30 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h
   M /trunk/epan/dissectors/packet-radius.c

Add some vendor ID:s
------------------------------------------------------------------------
r12150 | etxrab | 2004-09-30 13:12:34 -0500 (Thu, 30 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/t35.c

Fix UK manufacturer codes
------------------------------------------------------------------------
r12149 | etxrab | 2004-09-30 13:09:09 -0500 (Thu, 30 Sep 2004) | 11 lines
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/h323_analysis.c
   M /trunk/gtk/h323_conversations.c
   M /trunk/gtk/h323_conversations.h
   M /trunk/gtk/h323_conversations_dlg.c

From Lars Roland:

Having a closer look at the new and very useful H323 Call Analysis 
feature, I have found some bugs and unnecessarily complicated code for 
managing the registration of the tap listeners. So I decided to rewrite 
this part of the source code. This part of the code is much smaller now. 
Unnecessary and wrong calls of register_ethereal_tap() and 
register_tap_listener_xxx() have been removed or replaced.

I also fixed a bug with RAS Messages.

------------------------------------------------------------------------
r12148 | guy | 2004-09-30 03:16:41 -0500 (Thu, 30 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etheric.c

Reject packets with an unknown version number.

------------------------------------------------------------------------
r12147 | jmayer | 2004-09-30 02:14:18 -0500 (Thu, 30 Sep 2004) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

At least on Suse, the linking flags are obtained via krb5-config --libs,
not --cflags.

------------------------------------------------------------------------
r12146 | guy | 2004-09-29 21:02:35 -0500 (Wed, 29 Sep 2004) | 6 lines
Changed paths:
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/dlg_utils.h
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/print_prefs.c

For file browsing dialog boxes, the affirmative button should be "OK",
not "Save".

In UN*X with GTK+ 2.x, put the affirmative button in file dialogs to the
right of the cancel button, as is done with other dialogs.

------------------------------------------------------------------------
r12145 | guy | 2004-09-29 20:04:33 -0500 (Wed, 29 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/smb.h

Handle continuation replies to transactions better - try to match them
up with the original request, without matching unrelated replies with
that request.

------------------------------------------------------------------------
r12144 | etxrab | 2004-09-29 17:35:46 -0500 (Wed, 29 Sep 2004) | 5 lines
Changed paths:
   M /trunk/gtk/Makefile.am

Add      
	h323_analysis.h	\
	h323_conversations.h	\
	h323_conversations_dlg.h	\

------------------------------------------------------------------------
r12143 | etxrab | 2004-09-29 17:34:01 -0500 (Wed, 29 Sep 2004) | 4 lines
Changed paths:
   M /trunk/gtk/Makefile.common

Add
	h323_analysis.c	\
	h323_conversations_dlg.c	\

------------------------------------------------------------------------
r12142 | etxrab | 2004-09-29 17:23:37 -0500 (Wed, 29 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h

From Miha Jemec: I implemented a H323 call decoder. Using the TAP system, it keeps track of each call, number of packets, setting filter and a more detailed analysis of each call.
------------------------------------------------------------------------
r12141 | etxrab | 2004-09-29 17:20:46 -0500 (Wed, 29 Sep 2004) | 1 line
Changed paths:
   A /trunk/gtk/h323_analysis.c
   A /trunk/gtk/h323_analysis.h
   A /trunk/gtk/h323_conversations.c
   A /trunk/gtk/h323_conversations.h
   A /trunk/gtk/h323_conversations_dlg.c
   A /trunk/gtk/h323_conversations_dlg.h

From Miha Jemec: I implemented a H323 call decoder. Using the TAP system, it keeps track of each call, number of packets, setting filter and a more detailed analysis of each call.
------------------------------------------------------------------------
r12140 | guy | 2004-09-29 17:20:21 -0500 (Wed, 29 Sep 2004) | 11 lines
Changed paths:
   M /trunk/plugins/acn/packet-acn.c
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/irda/packet-sir.c
   M /trunk/plugins/lwres/packet-lwres.c
   M /trunk/plugins/plugin_api.h

In "plugins/plugin_api.h", don't include stuff required for the plugin
address table if we don't need the plugin address table, so as to catch
plugin dissectors that don't directly include stuff they need -
eventually, the plugin address table stuff should completely go away, so
we don't want dissectors depending on it.

Fix those dissectors caught by this.

Don't include "simple_dialog.h" in the ASN.1 dissector - it doesn't use
it.

------------------------------------------------------------------------
r12139 | guy | 2004-09-29 14:30:10 -0500 (Wed, 29 Sep 2004) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/doc/README.plugins
   M /trunk/plugins/acn/Makefile.nmake
   M /trunk/plugins/artnet/Makefile.nmake
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/ciscosm/Makefile.nmake
   M /trunk/plugins/docsis/Makefile.nmake
   M /trunk/plugins/enttec/Makefile.nmake
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/plugins/lwres/Makefile.nmake
   M /trunk/plugins/megaco/Makefile.nmake
   M /trunk/plugins/mgcp/Makefile.nmake
   M /trunk/plugins/mgcp/packet-mgcp.c
   M /trunk/plugins/opsi/Makefile.nmake
   M /trunk/plugins/pcli/Makefile.nmake
   M /trunk/plugins/rdm/Makefile.nmake
   M /trunk/plugins/rlm/Makefile.nmake
   M /trunk/plugins/rtnet/Makefile.nmake
   M /trunk/plugins/rudp/Makefile.nmake
   M /trunk/plugins/v5ua/Makefile.nmake

From Lars Roland: add an option to link plugins with libethereal rather
than using the plugin address table.

------------------------------------------------------------------------
r12138 | tuexen | 2004-09-29 13:08:18 -0500 (Wed, 29 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sua.c

- Added support for version 08 of the ID (expired).
- Updated support for latest version to RFC 3868.

------------------------------------------------------------------------
r12137 | guy | 2004-09-29 12:45:48 -0500 (Wed, 29 Sep 2004) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

Use the right name in the Checking... messages.

------------------------------------------------------------------------
r12136 | guy | 2004-09-29 12:38:53 -0500 (Wed, 29 Sep 2004) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

Put back the $KRB4_CONFIG call to set KRB5_LIBS.

------------------------------------------------------------------------
r12135 | guy | 2004-09-29 05:09:04 -0500 (Wed, 29 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etheric.c

If we don't have more than 5 bytes in the message, don't put an entry in
the tree for an optional parameter pointer, as there isn't one.

------------------------------------------------------------------------
r12134 | guy | 2004-09-29 04:58:22 -0500 (Wed, 29 Sep 2004) | 5 lines
Changed paths:
   M /trunk/acinclude.m4

When testing whether the Heimdal library has krb5_kt_resolve (and
whether it requires -lresolv), restore LIBS after we're done regardless
of whether we found it or not - we use KRB5_LIBS in the Makefiles,
rather than adding the Kerberos libraries to LIBS directly.

------------------------------------------------------------------------
r12133 | jmayer | 2004-09-29 02:11:16 -0500 (Wed, 29 Sep 2004) | 1 line
Changed paths:
   M /trunk/FAQ
   M /trunk/help/faq.txt
   M /trunk/manuf

Update manuf and FAQ
------------------------------------------------------------------------
r12132 | etxrab | 2004-09-29 01:42:28 -0500 (Wed, 29 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-etheric.c

Handle ANM message without optional parameter. 
------------------------------------------------------------------------
r12131 | guy | 2004-09-28 21:54:22 -0500 (Tue, 28 Sep 2004) | 5 lines
Changed paths:
   M /trunk/Makefile.common
   D /trunk/column.c
   D /trunk/column.h
   M /trunk/epan/Makefile.common
   A /trunk/epan/column.c (from /trunk/column.c:12124)
   A /trunk/epan/column.h (from /trunk/column.h:12124)
   M /trunk/epan/prefs.c
   M /trunk/file.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_win.c
   M /trunk/tethereal.c

Move the column preferences stuff to epan (the rest of the preferences
stuff is already there).

Update Gerald's e-mail address in column.h.

------------------------------------------------------------------------
r12130 | guy | 2004-09-28 19:52:45 -0500 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   D /trunk/afn.c
   D /trunk/afn.h
   M /trunk/epan/Makefile.common
   A /trunk/epan/afn.c (from /trunk/afn.c:12124)
   A /trunk/epan/afn.h (from /trunk/afn.h:12124)
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cpha.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dvmrp.c
   M /trunk/epan/dissectors/packet-eigrp.c
   M /trunk/epan/dissectors/packet-etherip.c
   M /trunk/epan/dissectors/packet-gre.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-igmp.c
   M /trunk/epan/dissectors/packet-igrp.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipvs-syncd.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-mip6.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-portmap.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-vines.c
   M /trunk/epan/dissectors/packet-vj.c
   M /trunk/epan/dissectors/packet-vrrp.c
   A /trunk/epan/ipproto.c (from /trunk/ipproto.c:12124)
   A /trunk/epan/ipproto.h (from /trunk/ipproto.h:12124)
   A /trunk/epan/t35.c (from /trunk/t35.c:12124)
   A /trunk/epan/t35.h (from /trunk/t35.h:12124)
   M /trunk/gtk/decode_as_dcerpc.c
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/follow_dlg.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/tcp_graph.c
   D /trunk/ipproto.c
   D /trunk/ipproto.h
   M /trunk/plugins/asn1/packet-asn1.c
   D /trunk/t35.c
   D /trunk/t35.h

Move various tables into the epan directory.

------------------------------------------------------------------------
r12129 | guy | 2004-09-28 19:25:05 -0500 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-rtsp.c
   A /trunk/epan/req_resp_hdrs.c (from /trunk/req_resp_hdrs.c:12124)
   A /trunk/epan/req_resp_hdrs.h (from /trunk/req_resp_hdrs.h:12124)
   D /trunk/req_resp_hdrs.c
   D /trunk/req_resp_hdrs.h

Move the request/response header helper routines to the epan directory.

------------------------------------------------------------------------
r12128 | guy | 2004-09-28 19:06:36 -0500 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fddi.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_ss.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/epan.c
   M /trunk/epan/plugins.c
   A /trunk/epan/tap.c (from /trunk/tap.c:12124)
   A /trunk/epan/tap.h (from /trunk/tap.h:12124)
   M /trunk/file.c
   M /trunk/gtk/ansi_a_stat.c
   M /trunk/gtk/ansi_map_stat.c
   M /trunk/gtk/bootp_stat.c
   M /trunk/gtk/conversations_eth.c
   M /trunk/gtk/conversations_fc.c
   M /trunk/gtk/conversations_fddi.c
   M /trunk/gtk/conversations_ip.c
   M /trunk/gtk/conversations_ipx.c
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/conversations_tcpip.c
   M /trunk/gtk/conversations_tr.c
   M /trunk/gtk/conversations_udpip.c
   M /trunk/gtk/dcerpc_stat.c
   M /trunk/gtk/fc_stat.c
   M /trunk/gtk/gsm_a_stat.c
   M /trunk/gtk/gsm_map_stat.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/h225_counter.c
   M /trunk/gtk/h225_ras_srt.c
   M /trunk/gtk/hostlist_eth.c
   M /trunk/gtk/hostlist_fc.c
   M /trunk/gtk/hostlist_fddi.c
   M /trunk/gtk/hostlist_ip.c
   M /trunk/gtk/hostlist_ipx.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/hostlist_tcpip.c
   M /trunk/gtk/hostlist_tr.c
   M /trunk/gtk/hostlist_udpip.c
   M /trunk/gtk/http_stat.c
   M /trunk/gtk/io_stat.c
   M /trunk/gtk/isup_stat.c
   M /trunk/gtk/ldap_stat.c
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/mgcp_stat.c
   M /trunk/gtk/mtp3_stat.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/rpc_progs.c
   M /trunk/gtk/rpc_stat.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/rtp_stream.c
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sip_stat.c
   M /trunk/gtk/smb_stat.c
   M /trunk/gtk/wsp_stat.c
   M /trunk/plugins/mgcp/packet-mgcp.c
   M /trunk/plugins/plugin_api.h
   M /trunk/plugins/plugin_api_list.c
   M /trunk/tap-ansi_astat.c
   M /trunk/tap-bootpstat.c
   M /trunk/tap-dcerpcstat.c
   M /trunk/tap-gsm_astat.c
   M /trunk/tap-h225counter.c
   M /trunk/tap-h225rassrt.c
   M /trunk/tap-httpstat.c
   M /trunk/tap-iostat.c
   M /trunk/tap-iousers.c
   M /trunk/tap-mgcpstat.c
   M /trunk/tap-protocolinfo.c
   M /trunk/tap-protohierstat.c
   M /trunk/tap-rpcprogs.c
   M /trunk/tap-rpcstat.c
   M /trunk/tap-sipstat.c
   M /trunk/tap-smbsids.c
   M /trunk/tap-smbstat.c
   M /trunk/tap-wspstat.c
   D /trunk/tap.c
   D /trunk/tap.h
   M /trunk/tethereal.c

Move the tap infrastructure to the epan directory.

------------------------------------------------------------------------
r12127 | guy | 2004-09-28 18:48:02 -0500 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-hpext.c
   M /trunk/epan/dissectors/packet-lapb.c
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-sdlc.c
   M /trunk/epan/dissectors/packet-v120.c
   M /trunk/epan/plugins.c
   A /trunk/epan/xdlc.c (from /trunk/xdlc.c:12124)
   A /trunk/epan/xdlc.h (from /trunk/xdlc.h:12124)
   M /trunk/plugins/plugin_api.h
   M /trunk/plugins/plugin_api_list.c
   D /trunk/xdlc.c
   D /trunk/xdlc.h

Move the xDLC helper routines into epan.

------------------------------------------------------------------------
r12126 | guy | 2004-09-28 18:25:48 -0500 (Tue, 28 Sep 2004) | 6 lines
Changed paths:
   M /trunk/gtk/cfilter_combo_utils.c
   M /trunk/gtk/cfilter_combo_utils.h

Normalize line endings and set svn:eol-style to native.

Set svn:keywords to Id to expand RCS IDs.

Include <string.h> to declare "strcmp()" and "strlen()".

------------------------------------------------------------------------
r12125 | guy | 2004-09-28 18:20:14 -0500 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common
   A /trunk/epan/sha1.c (from /trunk/sha1.c:12124)
   A /trunk/epan/sha1.h (from /trunk/sha1.h:12124)
   D /trunk/sha1.c
   D /trunk/sha1.h

Move the SHA-1 code and header into epan, and give them RCS IDs.

------------------------------------------------------------------------
r12124 | ulfl | 2004-09-28 13:34:00 -0500 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/edg_src/EDG_chapter_sources.xml

add a warning, that patch and sources files must have the same line endings (CR/NL)
------------------------------------------------------------------------
r12123 | ulfl | 2004-09-28 13:04:15 -0500 (Tue, 28 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/capture_dlg.c
   A /trunk/gtk/cfilter_combo_utils.c
   A /trunk/gtk/cfilter_combo_utils.h
   M /trunk/gtk/recent.c

from Thomas Palmer: add a combobox for the recently used capture filter strings
------------------------------------------------------------------------
r12122 | guy | 2004-09-28 12:57:56 -0500 (Tue, 28 Sep 2004) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ospf.c

From Carlos Pignataro:

	o Add link type string for MPLS Link Type in MPLS Link sub-TLV
	o Decode MPLS Link Color/Resource sub-TLV
	o Add bps for bandwidths in Max BW and Max Reservable BW sub-TLVs
	o Display Type, Length Value for Unknown Link sub-TLV
	o Allow display filter on Link Type and Link Color

------------------------------------------------------------------------
r12121 | guy | 2004-09-28 12:52:36 -0500 (Tue, 28 Sep 2004) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-diameter-defs.h
   M /trunk/epan/dissectors/packet-diameter.c

From Olivier Jacques:

	- Add a configuration option for Diameter version. Currently,
	  the choice is between everything before draft-v16 and RFC3588.
	- Fix diameter-ip-address parsing depending on the Diameter
	  version (and showing decoding errors accordingly).
	- Change registration of Diameter from TCP and SCTP port 1812 to
	  TCP and SCTP port 3868 (this is according to RFC3588, section
	  11.5).

------------------------------------------------------------------------
r12120 | guy | 2004-09-28 05:28:01 -0500 (Tue, 28 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From David Fort: ipseckey DNS RR support.

------------------------------------------------------------------------
r12119 | guy | 2004-09-27 23:47:10 -0500 (Mon, 27 Sep 2004) | 5 lines
Changed paths:
   M /trunk/acinclude.m4

If, when checking whether the Kerberos library is Heimdal or not, we
find it's not, always report "no", even if we're going to give up
because the user specified --with-krb5, so the "sorry, you don't have
Heimdal" message shows up on a line of its own.

------------------------------------------------------------------------
r12118 | guy | 2004-09-27 23:41:57 -0500 (Mon, 27 Sep 2004) | 12 lines
Changed paths:
   M /trunk/acinclude.m4

If the user specified --with-krb5 but we don't have a usable Kerberos
library, don't disable dissection and drive on, report an error and
stop; --with-krb5 means "build this with Kerberos", not "build this with
Kerberos if you can" (no -krb5 option at all means "build this with
Kerberos if you can").

If they *didn't* specify --with-krb5 and we don't have a usable Kerberos
library, set want_krb5 to "no", so that at the end of the configure
script we don't say we're building with the Kerberos library (otherwise,
want_krb5 is "ifpresent", but the stuff to print the configuration
options treats anything other than "no" as meaning "yes").

------------------------------------------------------------------------
r12117 | guy | 2004-09-27 19:06:32 -0500 (Mon, 27 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   D /trunk/adler32.c
   D /trunk/adler32.h
   D /trunk/crc16.c
   D /trunk/crc16.h
   D /trunk/crc32.c
   D /trunk/crc32.h
   M /trunk/epan/Makefile.common
   A /trunk/epan/adler32.c (from /trunk/adler32.c:12112)
   A /trunk/epan/adler32.h (from /trunk/adler32.h:12112)
   A /trunk/epan/crc16.c (from /trunk/crc16.c:12112)
   A /trunk/epan/crc16.h (from /trunk/crc16.h:12112)
   A /trunk/epan/crc32.c (from /trunk/crc32.c:12112)
   A /trunk/epan/crc32.h (from /trunk/crc32.h:12112)
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-gre.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-igmp.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipvs-syncd.c
   M /trunk/epan/dissectors/packet-lmp.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-vj.c
   M /trunk/epan/dissectors/packet-vrrp.c
   A /trunk/epan/in_cksum.c (from /trunk/in_cksum.c:12112)
   A /trunk/epan/in_cksum.h (from /trunk/in_cksum.h:12112)
   M /trunk/epan/plugins.c
   D /trunk/in_cksum.c
   D /trunk/in_cksum.h
   M /trunk/plugins/irda/packet-sir.c
   M /trunk/plugins/plugin_api.h
   M /trunk/plugins/plugin_api_list.c

Move various checksum routines and headers to epan.

------------------------------------------------------------------------
r12116 | guy | 2004-09-27 18:29:22 -0500 (Mon, 27 Sep 2004) | 5 lines
Changed paths:
   M /trunk/Makefile.common
   D /trunk/crypt-des.c
   D /trunk/crypt-des.h
   D /trunk/crypt-md4.c
   D /trunk/crypt-md4.h
   D /trunk/crypt-md5.c
   D /trunk/crypt-md5.h
   D /trunk/crypt-rc4.c
   D /trunk/crypt-rc4.h
   M /trunk/epan/Makefile.common
   A /trunk/epan/crypt-des.c (from /trunk/crypt-des.c:12112)
   A /trunk/epan/crypt-des.h (from /trunk/crypt-des.h:12112)
   A /trunk/epan/crypt-md4.c (from /trunk/crypt-md4.c:12112)
   A /trunk/epan/crypt-md4.h (from /trunk/crypt-md4.h:12112)
   A /trunk/epan/crypt-md5.c (from /trunk/crypt-md5.c:12112)
   A /trunk/epan/crypt-md5.h (from /trunk/crypt-md5.h:12112)
   A /trunk/epan/crypt-rc4.c (from /trunk/crypt-rc4.c:12112)
   A /trunk/epan/crypt-rc4.h (from /trunk/crypt-rc4.h:12112)
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-tacacs.c

Move the DES, MD4, MD5, and RC4 source files and headers into epan, and
make the source files all include the corresponding header files (so
that the declarations in the headers have to match the definitions in
the source files in order for compilation to succeed).

------------------------------------------------------------------------
r12115 | guy | 2004-09-27 17:55:15 -0500 (Mon, 27 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/capture.c
   M /trunk/capture_combo_utils.c
   M /trunk/column.c
   M /trunk/dftest.c
   M /trunk/epan/Makefile.common
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-aim-buddylist.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-beep.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-bssap.c
   M /trunk/epan/dissectors/packet-bvlc.c
   M /trunk/epan/dissectors/packet-cast.c
   M /trunk/epan/dissectors/packet-chdlc.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-cpfi.c
   M /trunk/epan/dissectors/packet-dcerpc-mapi.c
   M /trunk/epan/dissectors/packet-dcerpc-messenger.c
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-distcc.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dsi.c
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcip.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-fcsb3.c
   M /trunk/epan/dissectors/packet-fcsp.c
   M /trunk/epan/dissectors/packet-fddi.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-fw1.c
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gsm_sms_ud.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-iua.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-kpasswd.c
   M /trunk/epan/dissectors/packet-laplink.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-lwapp.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-mdshdr.c
   M /trunk/epan/dissectors/packet-mpls-echo.c
   M /trunk/epan/dissectors/packet-mpls.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-mtp3mg.c
   M /trunk/epan/dissectors/packet-multipart.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ncp-nmas.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-nlm.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-null.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-quake.c
   M /trunk/epan/dissectors/packet-quake2.c
   M /trunk/epan/dissectors/packet-quake3.c
   M /trunk/epan/dissectors/packet-quakeworld.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-raw.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtp-events.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-srvloc.c
   M /trunk/epan/dissectors/packet-ssh.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-tali.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tns.c
   M /trunk/epan/dissectors/packet-tpkt.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-vj.c
   M /trunk/epan/dissectors/packet-wbxml.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-xot.c
   M /trunk/epan/dissectors/packet-ymsg.c
   M /trunk/epan/plugins.c
   A /trunk/epan/prefs.c (from /trunk/prefs.c:12112)
   A /trunk/epan/prefs.h (from /trunk/prefs.h:12112)
   M /trunk/file.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_prefs.c
   M /trunk/gtk/color_dlg.c
   M /trunk/gtk/column_prefs.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/find_dlg.c
   M /trunk/gtk/follow_dlg.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/layout_prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/nameres_prefs.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/print_dlg.c
   M /trunk/gtk/print_prefs.c
   M /trunk/gtk/proto_dlg.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/stream_prefs.c
   M /trunk/gtk/supported_protos_dlg.c
   M /trunk/gtk/toolbar.c
   M /trunk/gtk/ui_util.c
   M /trunk/gtk/webbrowser.c
   M /trunk/plugins/acn/packet-acn.c
   M /trunk/plugins/artnet/packet-artnet.c
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/plugins/enttec/packet-enttec.c
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/plugins/lwres/packet-lwres.c
   M /trunk/plugins/megaco/packet-megaco.c
   M /trunk/plugins/mgcp/packet-mgcp.c
   M /trunk/plugins/opsi/packet-opsi.c
   M /trunk/plugins/pcli/packet-pcli.c
   M /trunk/plugins/plugin_api.h
   M /trunk/plugins/plugin_api_list.c
   D /trunk/prefs.c
   D /trunk/prefs.h
   M /trunk/tethereal.c

Move prefs.c and prefs.h into the epan subdirectory.

------------------------------------------------------------------------
r12114 | guy | 2004-09-27 17:32:09 -0500 (Mon, 27 Sep 2004) | 3 lines
Changed paths:
   M /trunk/gtk/toolbar.c

"ethereal_stock_icons()" isn't used outside "gtk/toolbar.c" (and should
presumably only be called once in any case), so make it static.

------------------------------------------------------------------------
r12113 | guy | 2004-09-27 17:21:31 -0500 (Mon, 27 Sep 2004) | 8 lines
Changed paths:
   M /trunk/gtk/compat_macros.h

At least in the screenshot at

	http://ftp.gnome.org/pub/GNOME/teams/marketing/en/2004/two-eight-screenshots/html/g27-openwithhal.png

a "browse" button in GNOME has a label "Browse", and I think that's the
case in at least some Windows applications as well, so give browse
buttons "Browse" as a text label.

------------------------------------------------------------------------
r12112 | ulfl | 2004-09-27 14:44:24 -0500 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/compat_macros.h

As the GTK Wimp default theme (since 0.6.1) won't display any icons in buttons any longer (which is typical for win applications), the browse button won't display anything for GTK2 now. Add some ... into it, which is also looking ok together with the stock icon on other platforms.
------------------------------------------------------------------------
r12111 | ulfl | 2004-09-27 12:27:27 -0500 (Mon, 27 Sep 2004) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake

removed well_known.txt
------------------------------------------------------------------------
r12110 | guy | 2004-09-27 03:30:25 -0500 (Mon, 27 Sep 2004) | 4 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Routines called by "g_node_traverse()" return a Boolean - FALSE to
continue traversing, TRUE to stop traversing - so make
"free_node_data()" return FALSE.

------------------------------------------------------------------------
r12109 | guy | 2004-09-26 20:11:23 -0500 (Sun, 26 Sep 2004) | 10 lines
Changed paths:
   M /trunk/capture-wpcap.c

If "HAVE_PCAP_DATALINK_NAME_TO_VAL" is defined - i.e., if we're built
with a version of WinPcap that has "pcap_datalink_name_to_val()" - then,
if the version of WinPcap we've loaded doesn't have
"pcap_datalink_name_to_val()", supply our own version.  Do the
equivalent for "pcap_datalink_val_to_name()".

We do that so that we can build Ethereal with a recent version of
WinPcap, so that it uses the new APIs in newer versions, and still have
it work with older versions.

------------------------------------------------------------------------
r12108 | guy | 2004-09-26 17:30:46 -0500 (Sun, 26 Sep 2004) | 4 lines
Changed paths:
   M /trunk/acinclude.m4

Explicitly indicate when we're doing tests to see if UCD SNMP contains
sprint_realloc_objid(), and the extra libraries we're using with the
tests, along the lines of what we do with the Kerberos 5 library.

------------------------------------------------------------------------
r12107 | guy | 2004-09-26 17:28:23 -0500 (Sun, 26 Sep 2004) | 2 lines
Changed paths:
   M /trunk/configure.in

Fix a typo.

------------------------------------------------------------------------
r12106 | guy | 2004-09-26 15:30:44 -0500 (Sun, 26 Sep 2004) | 12 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in

In the SNMP tests, we're using AC_TRY_LINK to avoid caching the results
of the test for sprint_realloc_objid() (so that a failure to find it
when we're not linking with extra libraries doesn't cause us to assume
we won't find it if we *do* link with extra libraries), so
"ac_cv_lib_snmp_sprint_realloc_objid" doesn't get set - set our own
variable for that.

Use AC_TRY_LINK rather than AC_CHECK_LIB in the Kerberos tests when
checking for krb_k5_resolve(), to avoid caching the results.

Improve the messages printed in the Kerberos tests to give more detail.

------------------------------------------------------------------------
r12105 | guy | 2004-09-25 23:00:20 -0500 (Sat, 25 Sep 2004) | 11 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/configure.in

Clean up a bunch of cruft in --with-ssl; make it more resemble other
--with flags.

Report, in the messages at the end of the configure script, whether
we're building with the SSL library.

If we fail to find "sprint_realloc_objid()" when linking with a
particular library, and --with-ssl wasn't specified, try linking with
-lcrypto as well and, if that succeeds, fail with an indication that UCD
SNMP requires -lcrypto but --with-ssl wasn't specified.

------------------------------------------------------------------------
r12104 | guy | 2004-09-25 19:26:06 -0500 (Sat, 25 Sep 2004) | 5 lines
Changed paths:
   M /trunk/acinclude.m4

Explicitly test whether we need -lresolv in order to link with -lkrb5. 
Include -lresolv if we do, and don't include it if we don't.

Clean up some other things in the -lkrb5 macro.

------------------------------------------------------------------------
r12103 | guy | 2004-09-25 18:58:42 -0500 (Sat, 25 Sep 2004) | 7 lines
Changed paths:
   M /trunk/acinclude.m4

For annoying licensing reasons, we don't want to use -lcrypto unless the
user explicitly says to do so by using --with-ssl.  However, we *still*
don't want to just blithely replace -lcrypto with SSL_LIBS, so, if
KRB5_LIBS contains "-lcrypto" but SSL_LIBS isn't set to a non-empty
string, we report an error (the user can than either configure without
Kerberos or with -lcrypto).

------------------------------------------------------------------------
r12102 | guy | 2004-09-25 17:50:58 -0500 (Sat, 25 Sep 2004) | 9 lines
Changed paths:
   M /trunk/gtk/prefs_dlg.c

When applying preferences, we have to apply the protocol preferences
before applying any other preferences, as, before we've applied them,
the internal state of the preferences in some dissectors might be
inconsistent (for example, the 802.11 dissector might've had its
number-of-WEP-keys preference increased but might not yet have allocated
a table for the WEP keys), and, as "gui_prefs_apply()" could cause a
redissection when redisplaying, that could cause dissectors to
malfunction (e.g., crash).

------------------------------------------------------------------------
r12101 | guy | 2004-09-25 05:36:08 -0500 (Sat, 25 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-loop.c

Fetch the function from the correct offset.

------------------------------------------------------------------------
r12100 | ulfl | 2004-09-25 05:15:08 -0500 (Sat, 25 Sep 2004) | 1 line
Changed paths:
   M /trunk/help/Makefile.am
   M /trunk/help/toc
   D /trunk/help/well_known.txt
   M /trunk/packaging/nsis/ethereal.nsi

removed "Well Known" help page, as the content (and far more than that) moved to the wiki.
------------------------------------------------------------------------
r12099 | guy | 2004-09-25 04:33:53 -0500 (Sat, 25 Sep 2004) | 14 lines
Changed paths:
   M /trunk/acinclude.m4

Don't just add "-lresolv" to KRB5_LIBS if it's missing - on some
platforms, it's missing because it's not needed, which is good because
it's not even *present* on those platforms (the resolver functions are
built into libc).  If there really are platforms where krb5-config is
broken to the extent that it doesn't list -lresolv when it's required,
the way to fix that is to try building a program with Heimdal and just
the krb5-config libraries and, if that fails, try building with those
libraries and -lresolv - if that works, add -lresolv to the list of
libraries.

Don't just replace -lcrypto with SSL_LIBS in KRB5_LIBS, as SSL_LIBS
might not contain any libraries - replace it only if SSL_LIBS is defined
as something.

------------------------------------------------------------------------
r12098 | guy | 2004-09-25 04:17:12 -0500 (Sat, 25 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-loop.c

What part of "least significant octet first" do you not understand? :-) 
(The part I didn't bother to notice.... :-))

------------------------------------------------------------------------
r12097 | ulfl | 2004-09-25 03:36:07 -0500 (Sat, 25 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   D /trunk/docbook/dg-src
   A /trunk/docbook/edg_src (from /trunk/docbook/dg-src:12092)
   A /trunk/docbook/eug_src (from /trunk/docbook/ug-src:12092)
   D /trunk/docbook/ug-src
   M /trunk/docbook/user-guide.xml

renamed dirs dg-src and ug-src to match output dirnames
------------------------------------------------------------------------
r12096 | guy | 2004-09-25 03:03:23 -0500 (Sat, 25 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gre.c

From packet steve: label the GRE key as "GRE Key", so that
post-processing scripts can more easily distinguish it from other keys.

------------------------------------------------------------------------
r12095 | guy | 2004-09-25 03:01:00 -0500 (Sat, 25 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-loop.c

Fetch the handle for the data dissector, as we use it....

------------------------------------------------------------------------
r12094 | guy | 2004-09-25 02:43:12 -0500 (Sat, 25 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/libethereal.def

From Tomas Kukosa: export ether_to_str() from libethereal.dll.

------------------------------------------------------------------------
r12093 | guy | 2004-09-25 02:41:58 -0500 (Sat, 25 Sep 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-snmp.c

From Tomas Kukosa:

	- pass only value (not tag and length) to subdissectors from the
	  snmp.variable_oid table
	- register the SNMP dissector

------------------------------------------------------------------------
r12092 | sahlberg | 2004-09-24 21:44:45 -0500 (Fri, 24 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

fix bug in handling of offset for  integers longer than 4 bytes


------------------------------------------------------------------------
r12091 | ulfl | 2004-09-24 16:19:48 -0500 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/capture_dlg.c

as the interface is usually fixed, or it can be selected by the interface drop down list, grab the keyboard focus at the filter string field.
------------------------------------------------------------------------
r12089 | ulfl | 2004-09-24 15:18:06 -0500 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/graphics/ethereal-help-menu.png

updated screenshot, as the last one had no icons on buttons
------------------------------------------------------------------------
r12088 | ulfl | 2004-09-24 14:21:18 -0500 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_build_install.xml
   M /trunk/docbook/ug-src/EUG_chapter_introduction.xml

add some minor details
------------------------------------------------------------------------
r12087 | ulfl | 2004-09-24 13:18:05 -0500 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/graphics/ethereal-help-menu.png
   M /trunk/docbook/ug-src/EUG_chapter_use.xml

Update help menu screenshot (wiki link) and add some notes about Web browser handling
------------------------------------------------------------------------
r12086 | ulfl | 2004-09-24 11:08:44 -0500 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/README.win32
   M /trunk/tools/win32-setup.sh

Use new win32 libs from anonsvn instead of webpage, including setup target. Use updated GTK 2.4.9 libraries. But still use wget.
------------------------------------------------------------------------
r12085 | etxrab | 2004-09-24 11:01:09 -0500 (Fri, 24 Sep 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etheric.c

Fix Some compiler warnings:

packet-etheric.c:99: warning: `message_type_vals' defined but not used
packet-etheric.c:376: warning: 
`isup_calling_party_nature_of_address_ind_value'
defined but not used
packet-etheric.c:892: warning: 
`dissect_etheric_cause_indicators_parameter' defi
ned but not used

------------------------------------------------------------------------
r12084 | ulfl | 2004-09-24 10:41:46 -0500 (Fri, 24 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/menu.c

add a link to the Ethereal wiki front page
------------------------------------------------------------------------
r12083 | guy | 2004-09-24 06:56:17 -0500 (Fri, 24 Sep 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldp.c

From Carlos Pignataro:

	updates for 2 PWE3 interface parameters:

	o FCS Retention [draft-ietf-pwe3-fcs-retention-02.txt]
	o VCCV [draft-ietf-pwe3-vccv-03.txt]

------------------------------------------------------------------------
r12082 | gerald | 2004-09-23 21:09:40 -0500 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/capture-wpcap.c

Fix a typo.

------------------------------------------------------------------------
r12081 | guy | 2004-09-23 17:36:01 -0500 (Thu, 23 Sep 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-cip.h

From Magnus Hansson: move CIP protocol to own dissector (we forgot to
check in packet-cip.h).

Also, add packet-cip.h to epan/dissectors/Makefile.common, so it gets
included in the release tarballs.

------------------------------------------------------------------------
r12080 | guy | 2004-09-23 15:51:09 -0500 (Thu, 23 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpls.c

From Carlos Pignataro: append the symbolic name for reserved MPLS labels
to the protocol tree item for the label.

------------------------------------------------------------------------
r12078 | guy | 2004-09-23 14:52:29 -0500 (Thu, 23 Sep 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etheric.c

Get rid of the CRs and set eol-style to native so that you get CRs on
Windows and don't get them on UN*X.

Set keywords so that RCS IDs are expanded.

Squelch some compiler warnings.

------------------------------------------------------------------------
r12077 | etxrab | 2004-09-23 14:44:51 -0500 (Thu, 23 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Add dissector packet-etheric.c
------------------------------------------------------------------------
r12076 | etxrab | 2004-09-23 14:41:21 -0500 (Thu, 23 Sep 2004) | 1 line
Changed paths:
   A /trunk/epan/dissectors/packet-etheric.c

Add a dissector for an Ericsson protocol named "Etheric"
------------------------------------------------------------------------
r12075 | guy | 2004-09-23 13:54:39 -0500 (Thu, 23 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-loop.c

Fix the dissection of the Reply function - it has a "receipt number"
field, and the data isn't at a fixed offset of 4.

------------------------------------------------------------------------
r12074 | guy | 2004-09-23 13:48:11 -0500 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ethertype.c
   A /trunk/epan/dissectors/packet-loop.c

Add support for the Ethernet Configuration Testing Protocol.

------------------------------------------------------------------------
r12073 | guy | 2004-09-23 12:54:49 -0500 (Thu, 23 Sep 2004) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/capture-wpcap.c
   M /trunk/config.h.win32
   M /trunk/config.nmake

From Gisle Vanem: add support for pcap_datalink_val_to_name() for Win32.

Also add support for pcap_datalink_name_to_val(), and arrange that we
properly define HAVE_PCAP_DATALINK_NAME_TO_VAL and
HAVE_PCAP_DATALINK_VAL_TO_NAME for MSVC++ builds.

------------------------------------------------------------------------
r12072 | guy | 2004-09-23 12:40:36 -0500 (Thu, 23 Sep 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim-oft.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-aim.h

From Jelmer Vernooij:

- Dissect ICQ TLV values
- Dissect channel 1 and channel 2 messages correctly in Oscar (required
  for dissecting direct connections)

------------------------------------------------------------------------
r12071 | guy | 2004-09-23 12:39:13 -0500 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-image-jfif.c

From Jelmer Vernooij: fix a comment.

------------------------------------------------------------------------
r12070 | guy | 2004-09-23 12:34:35 -0500 (Thu, 23 Sep 2004) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-enip.c

From Magnus Hansson:

	move CIP protocol to own dissector
	clean up code and fix variable names
	add more info to info column
	fixed decoding of embedded messages in Unconnected send and
	    Multiple Service packets
	add more info to path decoding
	add more filter options/clean up
	complete CIP vendor codes

------------------------------------------------------------------------
r12069 | guy | 2004-09-23 12:15:26 -0500 (Thu, 23 Sep 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-gre.c

From packet steve: add a filterable field for the GRE key.

------------------------------------------------------------------------
r12068 | guy | 2004-09-23 02:32:58 -0500 (Thu, 23 Sep 2004) | 4 lines
Changed paths:
   M /trunk/plugins/Xass-list
   M /trunk/plugins/Xplugin_api.c
   M /trunk/plugins/Xplugin_api.h
   M /trunk/plugins/Xplugin_api_decls.h
   M /trunk/plugins/Xplugin_table.h

Add proto_tree_add_debug_text(), rtcp_add_address(), and
rtp_add_address() to the list of functions exported from libethereal.dll
and exported via the plugin function table.

------------------------------------------------------------------------
r12067 | guy | 2004-09-23 02:32:16 -0500 (Thu, 23 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/libethereal.def
   M /trunk/epan/plugins.c
   M /trunk/plugins/plugin_api.h
   M /trunk/plugins/plugin_api_list.c

Add proto_tree_add_debug_text(), rtcp_add_address(), and
rtp_add_address() to the list of functions exported from libethereal.dll
and exported via the plugin function table.

------------------------------------------------------------------------
r12066 | guy | 2004-09-22 11:32:20 -0500 (Wed, 22 Sep 2004) | 7 lines
Changed paths:
   M /trunk/tools/asn2eth.py

From Tomas Kukosa:

- make the default protocol name module-name from input file
- don't use the [##]/(##) mark for index of SET/SEQUENCE item with
  original PER/BER API
- allow PDUs to be registered 

------------------------------------------------------------------------
r12065 | guy | 2004-09-22 11:28:39 -0500 (Wed, 22 Sep 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpls.c

From Carlos Pignataro:

	append MPLS fields and values to the MPLS Header subtree;

	correct the string displayed for MPLS Label;

	don't show non-reserved MPLS label values as "Unknown".

------------------------------------------------------------------------
r12064 | guy | 2004-09-22 04:42:57 -0500 (Wed, 22 Sep 2004) | 6 lines
Changed paths:
   M /trunk/capture.c

If we have "pcap_datalink_val_to_name()", use it when we construct a
"-y" argument for the capture subprocess - the capture subprocess will
expect a symbolic value, not a numeric value, if we have
"pcap_datalink_name_to_val()".  (We assume that if one is present the
other will be present as well.)

------------------------------------------------------------------------
r12063 | guy | 2004-09-22 03:04:40 -0500 (Wed, 22 Sep 2004) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-admin.c
   M /trunk/epan/dissectors/packet-aim-bos.c
   M /trunk/epan/dissectors/packet-aim-buddylist.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim-invitation.c
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim-ssi.c
   M /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim-userlookup.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-aim.h

From Jelmer Vernooij:

 - Dissect the DC (Direct Connection) info structure
 - Dissect the complete buddy icon family (you can now save buddy
   icons as .JPG's/.PNG's directly from the capture using the "Export
   selected bytes..." option!)
 - Add a function that dissects a sequence of TLV's instead of having
   while() loops all over the place.

------------------------------------------------------------------------
r12062 | guy | 2004-09-21 18:15:59 -0500 (Tue, 21 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

Fix a typo.

------------------------------------------------------------------------
r12060 | guy | 2004-09-21 03:01:29 -0500 (Tue, 21 Sep 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-admin.c
   M /trunk/epan/dissectors/packet-aim-adverts.c
   M /trunk/epan/dissectors/packet-aim-bos.c
   M /trunk/epan/dissectors/packet-aim-buddylist.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim-chatnav.c
   M /trunk/epan/dissectors/packet-aim-directory.c
   M /trunk/epan/dissectors/packet-aim-email.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-invitation.c
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim-messaging.c
   M /trunk/epan/dissectors/packet-aim-popup.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim-ssi.c
   M /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim-stats.c
   M /trunk/epan/dissectors/packet-aim-translate.c
   M /trunk/epan/dissectors/packet-aim-userlookup.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-aim.h

From Jelmer Vernooij:

	Remove some code duplication from the Oscar dissector (reduces
	the number of lines by 500) by providing a custom registration
	function for oscar families (aim_init_family).  This also fixes
	a number of issues with column names.

	Add minor updates such as adding support for the Capability Info
	TLV on users.

------------------------------------------------------------------------
r12059 | guy | 2004-09-21 02:47:14 -0500 (Tue, 21 Sep 2004) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

From Yaniv Kaul:

1. Fix dissection of Check Point vendor ID version field. The length was
   wrong.
2. Added dissection of payloads 130 and 131, which were used in early
   NAT-T drafts (and are still used by MS and others). They are equal to
   payloads 15 & 16, (NAT-D, NAT-OA), respectively.
3. Added ASN.1 decoding of Certificate requests of type X.509
   Certificate - Signature (4)
4. Added ASN.1 decoding of ID of type ID_DER_ASN1_DN (9) 

------------------------------------------------------------------------
r12058 | guy | 2004-09-21 01:48:31 -0500 (Tue, 21 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tali.c

From Viorel Suman: fields in TALI are little-endian, so in the "get PDU
length" routine, fetch the length field with "tvb_get_letohs()".

------------------------------------------------------------------------
r12057 | ulfl | 2004-09-21 00:17:59 -0500 (Tue, 21 Sep 2004) | 1 line
Changed paths:
   M /trunk/color_filters.c

fixed some comment typos
------------------------------------------------------------------------
r12055 | etxrab | 2004-09-20 14:22:10 -0500 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

From Martin Mathieson: Fix a simple bug, in calculate_roundtrip_delay(), where the conversation is looked up, the port arguments are given in reverse order.
------------------------------------------------------------------------
r12054 | etxrab | 2004-09-20 14:20:05 -0500 (Mon, 20 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Update some RADIUS value strings
------------------------------------------------------------------------
r12053 | ulfl | 2004-09-19 11:43:11 -0500 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/dg-src/EDG_meta_info.xml
   M /trunk/docbook/ug-src/EUG_meta_info.xml

add Ethereal logo
------------------------------------------------------------------------
r12052 | ulfl | 2004-09-19 11:41:58 -0500 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/user-guide.xml

removed duplicate Ethereal version entities
------------------------------------------------------------------------
r12051 | ulfl | 2004-09-19 11:40:11 -0500 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_build_install.xml

removed EtherealCurrentVersionTarFile entity
------------------------------------------------------------------------
r12050 | ulfl | 2004-09-19 11:38:29 -0500 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_env_intro.xml

add some info how to report problems
------------------------------------------------------------------------
r12049 | ulfl | 2004-09-19 11:36:10 -0500 (Sun, 19 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/graphics/ethereal-logo.png

the file content seemed to be corrupted
------------------------------------------------------------------------
r12048 | guy | 2004-09-19 06:39:48 -0500 (Sun, 19 Sep 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Add to the "radius_attr_info" structure a pointer to an hf_ value, and,
if that pointer is non-null, put the field in question into the protocol
tree under the top-level item for that attribute/value pair, rather than
hardcoding particular fields for particular attribute codes.

Use BASE_NONE, not BASE_DEC, for FT_STRING, FT_BYTES, and FT_IPv4
fields.

------------------------------------------------------------------------
r12047 | guy | 2004-09-19 02:13:52 -0500 (Sun, 19 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Mark C. Brown: fix support for nettl NETTL_SUBSYS_NS_LS_ICMP and
NETTL_SUBSYS_NS_LS_ICMPV6 - they don't even have IP headers, so we need
to directly call the ICMP and ICMPv6 dissectors.

------------------------------------------------------------------------
r12046 | guy | 2004-09-18 22:51:42 -0500 (Sat, 18 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos4.c

Make the Kerberos 4 dissector a "new-style" dissector, so it can
indicate when it's rejected a packet.

------------------------------------------------------------------------
r12045 | guy | 2004-09-18 22:00:00 -0500 (Sat, 18 Sep 2004) | 20 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Preference strings don't remain null pointers for long - they get
converted to pointers to null strings (see prefs.c for an explanation). 
Initialize "current_asn1" to a mallocated null string.

That lets us use "strcmp()" to compare asn1_filename and current_asn1. 
We already do that with asn1_pduname and current_pduname, so use
"strcmp()" for them as well.

Call "build_pdu_tree()" if we haven't yet built a PDU tree, even if the
PDU type preference hasn't changed.

Don't register with any of the ports unless we have a PDU tree, so we
don't try to dissect with a null PDU tree pointer.

Before constructing a PDU tree, if we already have a PDU tree, free it.

When we free data_nodes, free the data attached to the nodes.

Make a bunch of stuff static.

------------------------------------------------------------------------
r12044 | etxrab | 2004-09-18 16:31:20 -0500 (Sat, 18 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Fiax a MSVC Warning
------------------------------------------------------------------------
r12043 | etxrab | 2004-09-18 16:28:28 -0500 (Sat, 18 Sep 2004) | 1 line
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Fix dissection of MEGACO over TCP, there will be a TPKT header included.
------------------------------------------------------------------------
r12042 | guy | 2004-09-18 04:31:26 -0500 (Sat, 18 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-skinny.c

Use FALSE as the byte order argument to "proto_tree_add_item()" when
fetching big-endian IPv4 addresses.

------------------------------------------------------------------------
r12041 | guy | 2004-09-18 04:19:33 -0500 (Sat, 18 Sep 2004) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp.c

Distinguish between the "data offset" field (offset of this burst
within the file) and "burst offset" field (offset of this packet within
the burst).

The burst header is not present if the SYS flag is set in the packet or
if the data offset field is non-zero.

Compute the offset, within a burst packet, of the data, as we advance
through the burst header - and don't advance through the burst header if
it's not present.

Properly display the fields in the "missing fragment list".

------------------------------------------------------------------------
r12040 | guy | 2004-09-18 01:42:16 -0500 (Sat, 18 Sep 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim.c

From Jelmer Vernooij:

	- Support client capabilities list
	- Fix incorrect TLV usage

------------------------------------------------------------------------
r12039 | sahlberg | 2004-09-17 22:20:52 -0500 (Fri, 17 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos4.c

add decoding of werido special transac versions of kerberos 4



------------------------------------------------------------------------
r12038 | sahlberg | 2004-09-17 18:45:29 -0500 (Fri, 17 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

make kerberos able to dissect pkinit/pa-pk-as-rep packets



------------------------------------------------------------------------
r12037 | sahlberg | 2004-09-17 18:33:10 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkinit.h

add pkinit replies dissection


------------------------------------------------------------------------
r12036 | sahlberg | 2004-09-17 18:32:33 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/pkinit/PKINIT.asn
   M /trunk/asn1/pkinit/packet-pkinit-template.c
   M /trunk/asn1/pkinit/packet-pkinit-template.h

add pkinit replies


------------------------------------------------------------------------
r12035 | sahlberg | 2004-09-17 18:24:17 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h

get rid of some compiler warnings


------------------------------------------------------------------------
r12034 | sahlberg | 2004-09-17 18:23:40 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.h
   M /trunk/asn1/pkix1explicit/pkix1explicit.cnf
   M /trunk/asn1/pkix1explicit/pkix1explicit_exp.cnf

get rid of some more compiler warnings


------------------------------------------------------------------------
r12033 | sahlberg | 2004-09-17 18:16:17 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.h

get rid of a compiler warning for unused function UserNotice


------------------------------------------------------------------------
r12032 | sahlberg | 2004-09-17 18:14:21 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.h
   M /trunk/asn1/pkix1implicit/pkix1implicit.cnf
   M /trunk/asn1/pkix1implicit/pkix1implicit_exp.cnf

squelch a compiler warning   for UserNotice


------------------------------------------------------------------------
r12030 | guy | 2004-09-17 04:37:14 -0500 (Fri, 17 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim.c

From Jelmer Vernooij: get rid of some unused tables.

------------------------------------------------------------------------
r12029 | guy | 2004-09-17 04:32:53 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/doc/README.developer

Note that declarations in the middle of a block aren't supported by all
compilers, and thus shouldn't be used.

------------------------------------------------------------------------
r12028 | guy | 2004-09-17 04:30:41 -0500 (Fri, 17 Sep 2004) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-aim.c

from Thomas Boehne: don't put code before a declaration - that's a
GCCism.

De-@ify Marten Svantesson's e-mail address.

------------------------------------------------------------------------
r12027 | guy | 2004-09-17 04:05:03 -0500 (Fri, 17 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

IP addresses are always big-endian.

------------------------------------------------------------------------
r12026 | sahlberg | 2004-09-17 03:43:03 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-kerberos4.c

new protocol : Kerberos v4


------------------------------------------------------------------------
r12025 | sahlberg | 2004-09-17 03:12:21 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pkinit.c

get rid of some compiler warnings


------------------------------------------------------------------------
r12024 | sahlberg | 2004-09-17 03:11:30 -0500 (Fri, 17 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/pkinit/packet-pkinit-template.c

get rid of some compiler warnings for pkinit


------------------------------------------------------------------------
r12023 | guy | 2004-09-17 03:10:12 -0500 (Fri, 17 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-epm.c

FALSE, not TRUE, means big-endian in a "proto_tree_add_item()" call.

------------------------------------------------------------------------
r12022 | guy | 2004-09-16 21:02:04 -0500 (Thu, 16 Sep 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-aim-email.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim-ssi.c
   A /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim.c

From Jelmer Vernooij:

- Support for more generic TLV's
- Support for two more SNAC families: email and sst
- Support for extended status (as used by iChat)
- Use correct TLV in SSI RightsInfo
- Dissect and handle FNAC flags field correctly

------------------------------------------------------------------------
r12021 | ulfl | 2004-09-16 17:07:03 -0500 (Thu, 16 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.nmake
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/about_dlg.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/filter_dlg.c
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c

first steps towards using the User's Guide as Ethereal's help system
------------------------------------------------------------------------
r12020 | guy | 2004-09-16 16:30:51 -0500 (Thu, 16 Sep 2004) | 6 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

The list of protocols should be sorted in a case-insensitive fashion, so
giFT, iSCSI, and iSNS don't show up at the end.  Protocol short names
are ASCII, so just use "g_ascii_strcasecmp()".

Clean up white space.

------------------------------------------------------------------------
r12019 | guy | 2004-09-16 14:33:18 -0500 (Thu, 16 Sep 2004) | 3 lines
Changed paths:
   M /trunk/plugins/Xass-list
   M /trunk/plugins/Xplugin_api.c
   M /trunk/plugins/Xplugin_api.h
   M /trunk/plugins/Xplugin_api_decls.h
   M /trunk/plugins/Xplugin_table.h

Export the "proto_tree_add_float" routines, and the routines to get IEEE
float and double values from a tvbuff.

------------------------------------------------------------------------
r12018 | guy | 2004-09-16 14:32:09 -0500 (Thu, 16 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/libethereal.def
   M /trunk/plugins/plugin_api_list.c

Export the "proto_tree_add_float" routines, and the routines to get IEEE
float and double values from a tvbuff.

------------------------------------------------------------------------
r12017 | guy | 2004-09-16 14:23:33 -0500 (Thu, 16 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tali.c

"Tali" -> "TALI".

------------------------------------------------------------------------
r12016 | guy | 2004-09-16 14:17:42 -0500 (Thu, 16 Sep 2004) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-sccp.c
   A /trunk/epan/dissectors/packet-tali.c

From Viorel Suman: TALI (RFC 3094) support.

ATify Luca Deri's e-mail address.

------------------------------------------------------------------------
r12015 | guy | 2004-09-16 12:52:16 -0500 (Thu, 16 Sep 2004) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isns.c

Just returning from a dissector without dissecting anything is rude;
make the dissectors "new-style" dissectors and return 0 for packets that
don't look like iSNS.  Do this *before* doing TCP reassembly - once
you've done reassembly, it's too late.

Don't set the columns in the main dissector routines - it's also done in
the PDU dissector, which is sufficient.  Set the protocol column to
"iSNS", not "isns".

------------------------------------------------------------------------
r12014 | sahlberg | 2004-09-16 04:01:20 -0500 (Thu, 16 Sep 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h
   M /trunk/epan/dissectors/packet-kerberos.c
   A /trunk/epan/dissectors/packet-pkinit.c
   A /trunk/epan/dissectors/packet-pkinit.h
   A /trunk/epan/dissectors/packet-pkix1explicit.c
   A /trunk/epan/dissectors/packet-pkix1explicit.h
   A /trunk/epan/dissectors/packet-pkix1implicit.c
   A /trunk/epan/dissectors/packet-pkix1implicit.h
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h

add new dissectors to build process

update Kerberos to call PKINIT (and remove the handwritten incomplete one inside packet-kerberos.c)



------------------------------------------------------------------------
r12013 | sahlberg | 2004-09-16 03:58:28 -0500 (Thu, 16 Sep 2004) | 3 lines
Changed paths:
   A /trunk/asn1/pkix1explicit
   A /trunk/asn1/pkix1explicit/PKIX1EXPLICIT93.asn
   A /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   A /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.h
   A /trunk/asn1/pkix1explicit/pkix1explicit.cnf
   A /trunk/asn1/pkix1explicit/pkix1explicit_exp.cnf

new protocol PKIX1EXPLICIT


------------------------------------------------------------------------
r12012 | sahlberg | 2004-09-16 03:57:23 -0500 (Thu, 16 Sep 2004) | 3 lines
Changed paths:
   A /trunk/asn1/pkix1implicit
   A /trunk/asn1/pkix1implicit/PKIX1IMPLICIT93.asn
   A /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.c
   A /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.h
   A /trunk/asn1/pkix1implicit/pkix1implicit.cnf
   A /trunk/asn1/pkix1implicit/pkix1implicit_exp.cnf

add new protocol PKIX1IMPLICIT


------------------------------------------------------------------------
r12011 | sahlberg | 2004-09-16 03:55:33 -0500 (Thu, 16 Sep 2004) | 3 lines
Changed paths:
   A /trunk/asn1/pkinit
   A /trunk/asn1/pkinit/PKINIT.asn
   A /trunk/asn1/pkinit/packet-pkinit-template.c
   A /trunk/asn1/pkinit/packet-pkinit-template.h
   A /trunk/asn1/pkinit/pkinit.cnf
   A /trunk/asn1/pkinit/pkinit_exp.cnf

add PKINIT protocol


------------------------------------------------------------------------
r12010 | sahlberg | 2004-09-16 03:32:52 -0500 (Thu, 16 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/x509af/x509af.cnf
   M /trunk/asn1/x509af/x509af_exp.cnf

update to X509AF to prepare for PKINIT


------------------------------------------------------------------------
r12009 | sahlberg | 2004-09-16 03:31:01 -0500 (Thu, 16 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/cms/CryptographicMessageSyntax.asn
   M /trunk/asn1/cms/cms.cnf
   A /trunk/asn1/cms/cms_exp.cnf
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/cms/packet-cms-template.h

Update to CMD to prepare for PKINIT support


------------------------------------------------------------------------
r12008 | ulfl | 2004-09-15 17:33:16 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/user-guide.xml

update version numbers
------------------------------------------------------------------------
r12007 | ulfl | 2004-09-15 16:56:12 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/graphics/ethereal-capture-menu.png

added the "Capture/Interfaces" menu item to the screenshot
------------------------------------------------------------------------
r12006 | ulfl | 2004-09-15 16:36:51 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_customize.xml

fix a section id to match common naming styles
------------------------------------------------------------------------
r12005 | ulfl | 2004-09-15 16:35:58 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_capture.xml

fix a DTD problem
------------------------------------------------------------------------
r12004 | ulfl | 2004-09-15 16:32:20 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_app_tools.xml

added capinfo tool section
------------------------------------------------------------------------
r12003 | ulfl | 2004-09-15 16:13:16 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_io.xml

add some info to the merge section
------------------------------------------------------------------------
r12002 | ulfl | 2004-09-15 16:12:29 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_capture.xml

clarify "Running Capture" section title
------------------------------------------------------------------------
r12001 | ulfl | 2004-09-15 15:55:51 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_capture.xml

add a link from the capture filter to the tcpdump manpage
------------------------------------------------------------------------
r12000 | ulfl | 2004-09-15 15:48:24 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/graphics/ethereal-capture-options.png
   M /trunk/docbook/ug-src/EUG_chapter_capture.xml

add the "IP address" field to the capture options dialog.
------------------------------------------------------------------------
r11999 | ulfl | 2004-09-15 15:28:39 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   A /trunk/docbook/graphics/ethereal-capture-interfaces.png
   M /trunk/docbook/ug-src/EUG_chapter_capture.xml
   M /trunk/docbook/ug-src/EUG_chapter_use.xml
   M /trunk/docbook/user-guide.xml

add the new "capture interfaces" dialog box
------------------------------------------------------------------------
r11998 | etxrab | 2004-09-15 15:08:30 -0500 (Wed, 15 Sep 2004) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtcp.h

From Martin Mathieson:
 I've written this patch to use the 'Delay since last SR' (DLSR) field found
in SR reports to calculate and report roundtrip-propagation delays.  This is
described in rfc 3550, section 6.4.1, inside the description of DLSR.

Only the endpoint can compute the end-end roundtrip delay, and only they
know exactly when the report is received and can compare it with the 'Last
SR timestamp' (LSR) that they set.  This patch instead takes the difference
between the capture times of the 2 reports and subtracts the DLSR (the LSR
is checked in case the SR it's referring to wasn't captured).  The time
difference represents a roundtrip network delay between the point of capture
and the sender of the SR containing the DLSR.


------------------------------------------------------------------------
r11997 | etxrab | 2004-09-15 14:59:53 -0500 (Wed, 15 Sep 2004) | 2 lines
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Fix a problem where MEGACO not fully RFC complient wasn't dissected, change some indentations,
and a problem where transaction ID wasn't put in the info columb correctly.
------------------------------------------------------------------------
r11996 | ulfl | 2004-09-15 13:27:56 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_env_intro.xml
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

added a section how to update the Ethereal sources
------------------------------------------------------------------------
r11995 | guy | 2004-09-15 02:22:34 -0500 (Wed, 15 Sep 2004) | 3 lines
Changed paths:
   M /trunk/wiretap/ngsniffer.c

Improve the heuristic for Frame Relay, and move that heuristic after the
checks for Wellfleet and Cisco HDLC.

------------------------------------------------------------------------
r11994 | ulfl | 2004-09-15 00:46:56 -0500 (Wed, 15 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/ui_util.c

get GDK window geometry only, if widget is visible
------------------------------------------------------------------------
r11993 | jmayer | 2004-09-13 14:53:40 -0500 (Mon, 13 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/Makefile

Small update for SUSE 9.1
------------------------------------------------------------------------
r11992 | ulfl | 2004-09-13 14:16:22 -0500 (Mon, 13 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

fix a section id duplicate bug
------------------------------------------------------------------------
r11991 | etxrab | 2004-09-13 13:21:28 -0500 (Mon, 13 Sep 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

From: Luis Ontanon
1. As you said visible fileds are much better.

 2. As they became visible I noticed the length and offset of the fields
    were wrong, I fixed them.

 3. I added few more "essential" fields (as a colleague told me as soon
    as you move away from 3G some fileds like username become the most
    important) 

------------------------------------------------------------------------
r11990 | sahlberg | 2004-09-13 07:04:21 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509af/x509af.cnf

update x509af to use machinegenerated _PDU() dissectors


------------------------------------------------------------------------
r11989 | sahlberg | 2004-09-13 07:03:36 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h

update x509af to use machinegenerated _PDU() dissectors


------------------------------------------------------------------------
r11988 | sahlberg | 2004-09-13 03:33:38 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/ns-cert-exts/ns_cert_exts.cnf
   M /trunk/asn1/ns-cert-exts/packet-ns_cert_exts-template.c

use autogenerated _PDU functions


------------------------------------------------------------------------
r11987 | sahlberg | 2004-09-13 03:33:03 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ns_cert_exts.c

use autogenerated _PDU callbacks


------------------------------------------------------------------------
r11986 | sahlberg | 2004-09-13 03:07:29 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/asn1/x509ce/packet-x509ce-template.c
   M /trunk/asn1/x509ce/x509ce.cnf

make the asn2eth compiler autogenerate the PDU callbacks


------------------------------------------------------------------------
r11985 | sahlberg | 2004-09-13 03:06:52 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509ce.h

let asn2eth autogenerate the PDU callback wrappers instead of defining them manually


------------------------------------------------------------------------
r11984 | sahlberg | 2004-09-13 03:00:33 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/tools/asn2eth.py

from tomas kukosa,   fix for generated _PDU() functions to match the dissector_t signature


------------------------------------------------------------------------
r11983 | guy | 2004-09-13 02:47:49 -0500 (Mon, 13 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtp.c

Get rid of unused variables.

------------------------------------------------------------------------
r11982 | guy | 2004-09-13 02:43:22 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

From Nathan Alger: update the JUNOS (Juniper) Radius VSA decodes to
JUNOS 5.3.

------------------------------------------------------------------------
r11981 | sahlberg | 2004-09-13 00:13:52 -0500 (Mon, 13 Sep 2004) | 3 lines
Changed paths:
   M /trunk/tools/asn2eth.py

From Tomas Kukosa,  updates to the asn2eth compiler


------------------------------------------------------------------------
r11980 | ulfl | 2004-09-12 18:29:33 -0500 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/wiretap/Makefile.nmake

to prevent problems reported by David Richards, don't depend on the cvarsdll from win32.mak and define our own CVARSDLL
------------------------------------------------------------------------
r11979 | ulfl | 2004-09-12 06:24:23 -0500 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

added: how to update cygwin packages 
------------------------------------------------------------------------
r11978 | ulfl | 2004-09-12 05:41:53 -0500 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml

how to update the files installed by the setup target
------------------------------------------------------------------------
r11977 | ulfl | 2004-09-12 05:07:23 -0500 (Sun, 12 Sep 2004) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

added a clean_setup target, to cleanup the unzipped files
------------------------------------------------------------------------
r11976 | guy | 2004-09-12 01:20:04 -0500 (Sun, 12 Sep 2004) | 5 lines
Changed paths:
   M /trunk/sha1.c
   M /trunk/sha1.h

Canonicalize the line endings, and set eol:eol-style to native to keep
them canonicalized.

Set svn:keywords Id to cause RCS IDs to be expanded.

------------------------------------------------------------------------
r11975 | guy | 2004-09-11 18:42:03 -0500 (Sat, 11 Sep 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/make-authors-short.pl
   A /trunk/make-authors-short2.pl

From Graeme Hewson: translate accented UTF-8 characters to Pod E<>
escapes so they turn into *roff escapes and HTML entities in the output,
in case raw UTF-8 doesn't work.

------------------------------------------------------------------------
r11974 | guy | 2004-09-11 18:26:19 -0500 (Sat, 11 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/libethereal.def

From Dave Richards: export "host_ip_af()" (it's used by
"get_conn_cfilter()").

------------------------------------------------------------------------
r11973 | guy | 2004-09-11 18:10:14 -0500 (Sat, 11 Sep 2004) | 4 lines
Changed paths:
   M /trunk/doc/README.developer

Note that _WIN32, not WIN32, should be used in #ifdefs and #ifs testing
the platform for which we're building (and that both should be avoided
if possible, i.e. write your code so that it works on all platforms).

------------------------------------------------------------------------
r11972 | guy | 2004-09-11 18:03:36 -0500 (Sat, 11 Sep 2004) | 3 lines
Changed paths:
   M /trunk/capture_combo_utils.c
   M /trunk/disabled_protos.c
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/filesystem.c
   M /trunk/epan/plugins.c
   M /trunk/file.c
   M /trunk/filters.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/dlg_utils.c
   M /trunk/gtk/ethclist.c
   M /trunk/gtk/font_utils.c
   M /trunk/gtk/font_utils.h
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/gtk/ui_util.c
   M /trunk/pcap-util.c
   M /trunk/plugins/asn1/packet-asn1.c
   M /trunk/prefs.c
   M /trunk/util.c
   M /trunk/version_info.c
   M /trunk/xmlstub.h

Use _WIN32 rather than WIN32 to determine if we're compiling on Win32;
according to Gisle Vanem, WIN32 isn't a built-in in MSVC, but _WIN32 is.

------------------------------------------------------------------------
r11971 | guy | 2004-09-11 17:57:52 -0500 (Sat, 11 Sep 2004) | 3 lines
Changed paths:
   M /trunk/gtk/sctp_stat.h

Get rid of some #includes that caused trouble on Windows - we need to
make this use Ethereal's data structurs for addresses, not the OS's.

------------------------------------------------------------------------
r11970 | guy | 2004-09-11 17:53:17 -0500 (Sat, 11 Sep 2004) | 3 lines
Changed paths:
   M /trunk/gtk/sctp_stat.c

Get rid of some #includes that caused trouble on Windows - we need to
make this use Ethereal's data structurs for addresses, not the OS's.

------------------------------------------------------------------------
r11969 | guy | 2004-09-11 17:36:16 -0500 (Sat, 11 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

From Dave Richards: fix a format string.

------------------------------------------------------------------------
r11968 | ulfl | 2004-09-11 17:35:50 -0500 (Sat, 11 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

added a section about nmake 1.5 from microsoft
------------------------------------------------------------------------
r11967 | guy | 2004-09-11 17:08:29 -0500 (Sat, 11 Sep 2004) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/libethereal.def

From Dave Richards: remove from libethereal.def some routines from
util.c, as util.c is no longer part of libethereal.

Update his e-mail address (I'm presuming it's the same person - Comcast
bought AT&T Broadband, so the domain name change makes sense).

------------------------------------------------------------------------
r11966 | ulfl | 2004-09-11 11:18:41 -0500 (Sat, 11 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

minor changes
------------------------------------------------------------------------
r11965 | ulfl | 2004-09-11 09:15:26 -0500 (Sat, 11 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

some more changes
------------------------------------------------------------------------
r11964 | ulfl | 2004-09-11 05:04:12 -0500 (Sat, 11 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml

add some urls
------------------------------------------------------------------------
r11963 | ulfl | 2004-09-11 04:20:31 -0500 (Sat, 11 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

added a debugger section and a lot or urls to the different GNU tools
------------------------------------------------------------------------
r11962 | ulfl | 2004-09-11 02:16:24 -0500 (Sat, 11 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   A /trunk/docbook/dg-src/EDG_chapter_works.xml

added a chapter "How Ethereal Works", with only little content right now...
------------------------------------------------------------------------
r11961 | guy | 2004-09-10 19:00:06 -0500 (Fri, 10 Sep 2004) | 4 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common

Nothing in "util.h" is needed by anything in libethereal, so don't put
it into libethereal - have it as common code linked into Ethereal,
Tethereal, and dftest.

------------------------------------------------------------------------
r11960 | guy | 2004-09-10 18:16:00 -0500 (Fri, 10 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/base64.c
   A /trunk/epan/base64.h
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/util.c
   M /trunk/util.h

Move the base-64 routines to "epan/base64.c".

------------------------------------------------------------------------
r11959 | guy | 2004-09-10 18:07:33 -0500 (Fri, 10 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sna.c

The EBCDIC-to-ASCII routines are now declared in <epan/charsets.h>.

------------------------------------------------------------------------
r11958 | guy | 2004-09-10 17:59:37 -0500 (Fri, 10 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/charsets.c
   A /trunk/epan/charsets.h
   M /trunk/gtk/follow_dlg.c
   M /trunk/gtk/proto_draw.c
   M /trunk/print.c
   M /trunk/util.c
   M /trunk/util.h

Move the stuff to handle ASCII <-> EBCDIC conversions to
"epan/charsets.c"; other character set translation code should perhaps
go there as well.

------------------------------------------------------------------------
r11957 | guy | 2004-09-10 17:55:22 -0500 (Fri, 10 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/libethereal.def

Add the new "proto_registrar_dump_values()" routine, as it's used by
Ethereal and Tethereal to handle "-G values".

------------------------------------------------------------------------
r11956 | guy | 2004-09-10 17:47:02 -0500 (Fri, 10 Sep 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.common
   A /trunk/clopts_common.c
   A /trunk/clopts_common.h
   M /trunk/gtk/main.c
   M /trunk/tethereal.c

Hoist the code for handling "-G" into a common module.

------------------------------------------------------------------------
r11955 | ulfl | 2004-09-10 13:28:53 -0500 (Fri, 10 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

minor change
------------------------------------------------------------------------
r11954 | gram | 2004-09-10 10:21:20 -0500 (Fri, 10 Sep 2004) | 6 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/main.c
   M /trunk/tethereal.c

Add a "-G fields2" option which is like "-G fields", but extends the field
records by tw fields: base (for integers), and blurb

Add a "-G values" option which shows value strings and true_false strings for
the fields that have them.

------------------------------------------------------------------------
r11953 | guy | 2004-09-09 15:31:52 -0500 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-chdlc.c

Show ETHERTYPE_IPv6 as "IPv6" in the type field.

------------------------------------------------------------------------
r11952 | etxrab | 2004-09-09 14:34:51 -0500 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/AUTHORS

Added Christophe Devine as a contributor.
------------------------------------------------------------------------
r11951 | etxrab | 2004-09-09 14:24:45 -0500 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/Makefile.common

Add SHA1 routines for future use at least by SigComp
------------------------------------------------------------------------
r11950 | etxrab | 2004-09-09 14:24:00 -0500 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   A /trunk/sha1.c
   A /trunk/sha1.h

Add SHA1 routines for future use at least by SigComp
------------------------------------------------------------------------
r11949 | etxrab | 2004-09-09 14:19:50 -0500 (Thu, 09 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/Makefile.common

Add SHA1 routines for future use, at least by SigComp
------------------------------------------------------------------------
r11948 | guy | 2004-09-09 01:50:03 -0500 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-teredo.c

From Remi Denis-Courmont: heuristic dissector for Teredo.

------------------------------------------------------------------------
r11947 | guy | 2004-09-09 01:27:43 -0500 (Thu, 09 Sep 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-netflow.c

From Luca Deri: NetFlow v9 enhancements.

------------------------------------------------------------------------
r11946 | guy | 2004-09-08 16:14:40 -0500 (Wed, 08 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

Squelch a compiler warning.  (We really might want a
"tvb_ensure_reported_length_remaining()" call here.)

------------------------------------------------------------------------
r11945 | guy | 2004-09-08 14:36:25 -0500 (Wed, 08 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

To conert a little-endian value to a big-endian value, use
GUINT32_SWAP_LE_BE(), not GUINT32_TO_BE() - the latter converts a
host-byte-order value to big-endian, but the host might be big-endian.

------------------------------------------------------------------------
r11944 | ulfl | 2004-09-08 14:29:09 -0500 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/ui_util.c

Try to get the window geometry only, if a GdkWindow really exists for that GtkWidget (e.g. the widget isn't hidden)
------------------------------------------------------------------------
r11943 | ulfl | 2004-09-08 14:26:36 -0500 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/file_dlg.c

Fix a minor bug only with GTK2.4: if have a problem while saving a file (e.g. filename already exists) will lead to an unresponding file dialog. The fix will close the dialog, which isn't the best solution, but I don't see a better one.
------------------------------------------------------------------------
r11942 | etxrab | 2004-09-08 14:24:32 -0500 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Added some valuestring parameters for PoC
------------------------------------------------------------------------
r11941 | tuexen | 2004-09-08 08:10:01 -0500 (Wed, 08 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-m2pa.c

Updated the comment at the beginning of the file.

------------------------------------------------------------------------
r11940 | tuexen | 2004-09-08 08:08:02 -0500 (Wed, 08 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-m2pa.c

Added support for version 12. So it now supports version 02, 08 and
12 of the internet draft.

------------------------------------------------------------------------
r11939 | sahlberg | 2004-09-08 05:32:53 -0500 (Wed, 08 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

From Peter Johansson,    make proto_tree_add_item() handle IPv4 addresses
stored in little endian format.


------------------------------------------------------------------------
r11938 | guy | 2004-09-08 04:35:47 -0500 (Wed, 08 Sep 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

From Devin Heitmuller: decode verifiers after stub decryption - for
NTLMSSP, the state of the RC4 stream is dependent on the stub being
decrypted before the verifier.

Correctly set the length and reported length of the tvb for the stub
(the reported length of that tvb should be set based on the *reported*
length of the parent tvbuff, not the captured length).

------------------------------------------------------------------------
r11937 | ulfl | 2004-09-08 00:55:21 -0500 (Wed, 08 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

sort_iter_compare_func() only needed with GTK2
------------------------------------------------------------------------
r11936 | guy | 2004-09-07 18:59:49 -0500 (Tue, 07 Sep 2004) | 5 lines
Changed paths:
   M /trunk/doc/README.developer

Note that developers should avoid GTK+ 2.x/GLib 2.x-only stuff (and, in
particularly, should disregard all the renaming they did of some
routines, as the old names work Just Fine in 2.x but the new names don't
work in 1.2[.x]).

------------------------------------------------------------------------
r11935 | guy | 2004-09-07 18:20:53 -0500 (Tue, 07 Sep 2004) | 4 lines
Changed paths:
   M /trunk/gtk/decode_as_dcerpc.c

"g_string_printf()" is GLib 2.x-only, but "g_string_sprintf()" works in
2.x and 1.2[.x].  Use "g_string_sprintf()", its deprecation
nonwithstanding.

------------------------------------------------------------------------
r11934 | guy | 2004-09-07 17:21:59 -0500 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Put the byte-order mark back.

------------------------------------------------------------------------
r11933 | guy | 2004-09-07 15:10:35 -0500 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

Squelch a compiler warning.

------------------------------------------------------------------------
r11932 | guy | 2004-09-07 15:10:00 -0500 (Tue, 07 Sep 2004) | 5 lines
Changed paths:
   M /trunk/gtk/decode_as_dcerpc.c

Canonicalize the line endings, and set svn:eol-style to native to keep
them canonicalized.

Set svn:keywords to Id to expand RCS IDs.

------------------------------------------------------------------------
r11931 | guy | 2004-09-07 15:07:08 -0500 (Tue, 07 Sep 2004) | 4 lines
Changed paths:
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_byte_graph_dlg.c
   M /trunk/gtk/sctp_error_dlg.c
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat_dlg.c

Set svn:eol-style to native to keep line endings canonicalized.

Set svn:keywords to Id to expand RCS IDs.

------------------------------------------------------------------------
r11930 | guy | 2004-09-07 15:05:04 -0500 (Tue, 07 Sep 2004) | 5 lines
Changed paths:
   M /trunk/gtk/decode_as_dcerpc.h

Canonicalize the line endings, and set svn:eol-style to native to keep
them canonicalized.

Set svn:keywords to Id to expand RCS IDs.

------------------------------------------------------------------------
r11929 | ulfl | 2004-09-07 14:42:52 -0500 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

added a Clear button to the Decode As dialog, also added some tooltips 
------------------------------------------------------------------------
r11928 | ulfl | 2004-09-07 14:22:17 -0500 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

replace the Cancel with a Close button, as pressing it will not rewind any previously applied operations 
------------------------------------------------------------------------
r11927 | ulfl | 2004-09-07 14:20:48 -0500 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_dcerpc.c

don't put the "(none)" interface into the list, Ethereal will crash if it's applied to Decode As
------------------------------------------------------------------------
r11926 | guy | 2004-09-07 13:51:56 -0500 (Tue, 07 Sep 2004) | 4 lines
Changed paths:
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sctp_stat.h

Canonicalize the line endings, set the svn:eol-style property to
"native" so they stay canonicalized, and set svn:keywords to Id so that
RCS IDs get expanded.

------------------------------------------------------------------------
r11925 | ulfl | 2004-09-07 13:50:26 -0500 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

two bugfixes: sort items in alphabetical order and don't do a OBJECT_GET_DATA on a NULL pointer
------------------------------------------------------------------------
r11924 | ulfl | 2004-09-07 11:19:56 -0500 (Tue, 07 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/libethereal.def
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/decode_as_dcerpc.c
   A /trunk/gtk/decode_as_dcerpc.h
   M /trunk/gtk/decode_as_dlg.c
   M /trunk/gtk/decode_as_dlg.h
   M /trunk/gtk/main.c

First working implementation of "Decode As" for DCE-RPC interface bindings. Ethereal needs to capture the DCE-RPC bind sequence, to get a relationsship between the interface UUID and the current conversation. If this binding wasn't captured, one can use "Decode As" and choose the interface from a list corresponding to a specific conversation. Currently "only" implemented for connectionoriented (TCP) DCE-RPC, but connectionless is a work in progress.
------------------------------------------------------------------------
r11922 | tuexen | 2004-09-07 04:41:58 -0500 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/gtk/Makefile.common

Do not compile SCTP analysis stuff right now.

------------------------------------------------------------------------
r11921 | ulfl | 2004-09-07 03:42:02 -0500 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_stat.c
   M /trunk/gtk/sctp_stat.h

using #ifdef HAVE_SYS_TYPES_H around some of the includes making problems, but still uncompilable on win32!!!

------------------------------------------------------------------------
r11920 | tuexen | 2004-09-07 02:54:50 -0500 (Tue, 07 Sep 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/sctp_assoc_analyse.c
   A /trunk/gtk/sctp_byte_graph_dlg.c
   A /trunk/gtk/sctp_error_dlg.c
   A /trunk/gtk/sctp_graph_dlg.c
   A /trunk/gtk/sctp_stat.c
   A /trunk/gtk/sctp_stat.h
   A /trunk/gtk/sctp_stat_dlg.c

Added graphical SCTP analysis implemented by Irene Ruengeler.

------------------------------------------------------------------------
r11919 | guy | 2004-09-06 15:25:36 -0500 (Mon, 06 Sep 2004) | 5 lines
Changed paths:
   M /trunk/make-authors-short.pl

From Graeme Hewson: wrap the authors list in ".nf"/".fi" in the man page
and "<pre>"/"</pre>", to make sure it doesn't get word-wrapped (the
"start each line with a blank" trick doesn't work on current versions of
pod2html).

------------------------------------------------------------------------
r11918 | guy | 2004-09-06 15:01:39 -0500 (Mon, 06 Sep 2004) | 7 lines
Changed paths:
   M /trunk/AUTHORS

Put the UTF-8 mark back into the file (maybe *that'll* convince TextEdit
to open it as a UTF-8 file).

Convert from ISO 8859/1 to UTF-8, and put the a-ring into a name.

Fix some bad characters.

------------------------------------------------------------------------
r11917 | ulfl | 2004-09-06 14:56:36 -0500 (Mon, 06 Sep 2004) | 1 line
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

next steps for a "Decode As" for DCE-RPC interfaces (commented out)
------------------------------------------------------------------------
r11916 | ulfl | 2004-09-06 14:51:33 -0500 (Mon, 06 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/libethereal.def

rename add_conv_to_dcerpc_bind_table to dcerpc_add_conv_to_bind_table and don't use packet_info as a parameter
------------------------------------------------------------------------
r11915 | guy | 2004-09-06 14:49:54 -0500 (Mon, 06 Sep 2004) | 8 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/acinclude.m4

From Marten Svantesson: according to Tomas Anders, all versions of Heimdal
will either have "heimdal", in all lower case, in the version string in
the header file, or will write out, when you run "krb5-config
--version", a version string with "heimdal" in all lower case, so we
don't need to do case-insensitive matching, which is good - not all
versions of "sed" support the "i" flag (although you can do
case-insensitive matching by using regular expressions, if necessary).

------------------------------------------------------------------------
r11914 | ulfl | 2004-09-06 12:43:16 -0500 (Mon, 06 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_userinterface.xml
   M /trunk/docbook/ug-src/EUG_chapter_build_install.xml
   M /trunk/docbook/user-guide.xml

updated URL's
------------------------------------------------------------------------
r11913 | ulfl | 2004-09-06 12:42:12 -0500 (Mon, 06 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/Makefile

as dependencies are currently not payed attention to, also create the single paged html every the time, regardless of dependencies
------------------------------------------------------------------------
r11912 | tuexen | 2004-09-06 10:04:27 -0500 (Mon, 06 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/packet_info.h
   M /trunk/gtk/decode_as_dlg.c

Add the capability to chose to remap the fist two PPIDS in each SCTP packet to a different dissector.

------------------------------------------------------------------------
r11911 | tuexen | 2004-09-06 05:12:51 -0500 (Mon, 06 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Renamed the T-Bit in ABORT and SHUTDOWN-COMPLETE chunks as in the upcoming IG.
Initial support of SCTP-AUTH.

------------------------------------------------------------------------
r11910 | sahlberg | 2004-09-06 04:12:17 -0500 (Mon, 06 Sep 2004) | 5 lines
Changed paths:
   M /trunk/asn1/x509ce/CertificateExtensions.asn
   M /trunk/asn1/x509ce/x509ce.cnf
   M /trunk/asn1/x509sat/packet-x509sat-template.c
   M /trunk/asn1/x509sat/packet-x509sat-template.h
   M /trunk/asn1/x509sat/x509sat_exp.cnf
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h

Update x509SAT to export DirectoryString.

Update X509CE to dissect EDIPartyName now that DirectoryString can be dissected


------------------------------------------------------------------------
r11909 | sahlberg | 2004-09-06 03:39:14 -0500 (Mon, 06 Sep 2004) | 6 lines
Changed paths:
   M /trunk/asn1/x509ce/CertificateExtensions.asn
   M /trunk/epan/dissectors/packet-x509ce.c

Update to X509 Certificate Extensions. Make it also decode 
GeneralName.directoryName 
(since we already implemented the Name type from X509IF already long time ago)



------------------------------------------------------------------------
r11908 | ulfl | 2004-09-05 16:22:14 -0500 (Sun, 05 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_build_intro.xml
   M /trunk/docbook/dg-src/EDG_chapter_env_intro.xml
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml
   M /trunk/docbook/dg-src/EDG_chapter_userinterface.xml

Various minor changes, e.g. added a small chapter about "The GLib library"
------------------------------------------------------------------------
r11907 | obiot | 2004-09-05 10:06:26 -0500 (Sun, 05 Sep 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/doc/ethereal.pod

Fix cosmetic errors in the AUTHORS file and in ethereal.pod.

------------------------------------------------------------------------
r11906 | guy | 2004-09-05 05:38:04 -0500 (Sun, 05 Sep 2004) | 14 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/epan/Makefile.am

Name the variables that have the names of ".lo" files as _LO, not _O;
put the name of the ".o" files into _O variables (I'm not sure whether
the current .am files automatically support building programs statically
linked with libethereal, as a result of using libtool; if so, the _O
versions of those variables aren't necessary, and, if not, we probably
need to use them).

Use the _LO variables in libethereal_la_LIBADD and
libethereal_la_DEPENDENCIES.

(This means that we use "g_ascii_strtoull.lo" rather than
"g_ascii_strtoull.o" to make the libethereal shared library; that's what
we need to do, but we weren't doing it.)

------------------------------------------------------------------------
r11905 | ulfl | 2004-09-05 04:39:50 -0500 (Sun, 05 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml

Try to reduce Subversion<->SVN confusion and some other minor changes
------------------------------------------------------------------------
r11904 | guy | 2004-09-05 02:06:23 -0500 (Sun, 05 Sep 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-cisco-oui.c
   A /trunk/epan/dissectors/packet-pagp.c

From Mark C. Brown: Cisco Port Aggregation Protoool support.

------------------------------------------------------------------------
r11903 | guy | 2004-09-04 16:20:08 -0500 (Sat, 04 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-tcap.c

From Jeff Morriss: the code path that's bypassed with the "if (tree)"
and "if (!tree)" checks updates the Info column and calls subdissectors,
so we can't bypass all of it - don't bypass any of it.

------------------------------------------------------------------------
r11902 | guy | 2004-09-04 15:39:00 -0500 (Sat, 04 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ses.c

From Matthew Bradley: add the OSI session layer dissector to the
heuristic dissector list for the COTP inactive subset.

------------------------------------------------------------------------
r11901 | guy | 2004-09-04 15:35:29 -0500 (Sat, 04 Sep 2004) | 10 lines
Changed paths:
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h

From Mark C. Brown:

1) Change nettl subsystem ID's to decimal so as to
   match /etc/nettlgen.conf and ease maintenance

2) Add support for hp_apaport (PAgP), hp_apalacp,
   and IPv6 subsystem trace records

3) Correct handling of LOOPBACK trace records

------------------------------------------------------------------------
r11900 | guy | 2004-09-04 15:25:06 -0500 (Sat, 04 Sep 2004) | 5 lines
Changed paths:
   M /trunk/gtk/proto_draw.c

"g_string_sprintfa()" might be deprecated in GLib 2.x, but it's all GLib
1.2[.x] has, and we support GLib 1.2[.x] - "g_string_append_printf()" is
just the new name for "g_string_sprintfa()", and you can still use
"g_string_sprintfa()" in GLib 2.x, so use that instead.

------------------------------------------------------------------------
r11899 | guy | 2004-09-04 15:13:42 -0500 (Sat, 04 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eap.c

From Jouni Malinen: add a dissector for EAP-AKA, and fix some incorrect
attribute numbers in the EAP-SIM code.

------------------------------------------------------------------------
r11898 | guy | 2004-09-04 15:02:11 -0500 (Sat, 04 Sep 2004) | 6 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common
   M /trunk/epan/libethereal.def
   D /trunk/epan/packet-range.c
   D /trunk/epan/packet-range.h
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/range_utils.c
   A /trunk/packet-range.c (from /trunk/epan/packet-range.c:11895)
   A /trunk/packet-range.h (from /trunk/epan/packet-range.h:11895)
   M /trunk/print.c
   M /trunk/print.h

The packet range stuff knows about capture_file structures, so it's
really more of an Ethereal/Tethereal component than a libethereal
component (nothing else in libethereal knows about capture files); move
it back out of libethereal.  (The range stuff doesn't; we leave it in
libethereal.)

------------------------------------------------------------------------
r11897 | guy | 2004-09-04 14:59:38 -0500 (Sat, 04 Sep 2004) | 2 lines
Changed paths:
   M /trunk/prefs.c

We don't need the stuff in "globals.h" or "file.h"; don't include them.

------------------------------------------------------------------------
r11896 | guy | 2004-09-04 14:56:25 -0500 (Sat, 04 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/range.c

We don't need "globals.h"; don't include it.

------------------------------------------------------------------------
r11895 | jmayer | 2004-09-04 11:41:10 -0500 (Sat, 04 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_build_intro.xml
   M /trunk/docbook/dg-src/EDG_chapter_dissection.xml

Add keywords and eol-style
------------------------------------------------------------------------
r11894 | ulfl | 2004-09-04 06:35:26 -0500 (Sat, 04 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/packet.c
   M /trunk/epan/packet_info.h

From Eric Wedel: backend things for "Decode As" of DCE-RPC interfaces
------------------------------------------------------------------------
r11893 | ulfl | 2004-09-04 06:21:20 -0500 (Sat, 04 Sep 2004) | 1 line
Changed paths:
   M /trunk/epan/Makefile.nmake

EXTRA_OBJECTS are needed for ethereal.lib (only used if ENABLE_LIBETHEREAL isn't set)
------------------------------------------------------------------------
r11892 | guy | 2004-09-03 20:32:13 -0500 (Fri, 03 Sep 2004) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.common
   M /trunk/epan/libethereal.def
   M /trunk/epan/packet-range.c
   M /trunk/epan/packet-range.h
   A /trunk/epan/range.c
   A /trunk/epan/range.h

Split the pure range stuff out into separate files, exporting their own
functions.

------------------------------------------------------------------------
r11891 | guy | 2004-09-03 20:29:22 -0500 (Fri, 03 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ripng.h

We don't need to incldue "globals.h", so don't do so.

------------------------------------------------------------------------
r11890 | guy | 2004-09-03 19:53:16 -0500 (Fri, 03 Sep 2004) | 8 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/epan/Makefile.common
   M /trunk/epan/libethereal.def
   A /trunk/epan/packet-range.c (from /trunk/range.c:11889)
   A /trunk/epan/packet-range.h (from /trunk/range.h:11889)
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/range_utils.c
   M /trunk/print.c
   D /trunk/range.c
   D /trunk/range.h

Rename "range.c" and "range.h" to "packet-range.c" and "packet-range.h";
they should ultimately be split into files with routines that handle
ranges, which are just subsets of [0,2^32), and packet ranges, which are
subsets of the packet list, possibly specified by a range.

Move them into epan, so they can be used by, for example, utilities that
handle ranges, such editcap.

------------------------------------------------------------------------
r11889 | guy | 2004-09-03 13:14:00 -0500 (Fri, 03 Sep 2004) | 8 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/epan/ftypes/ftype-integer.c
   A /trunk/epan/g_ascii_strtoull.c
   A /trunk/epan/g_ascii_strtoull.h

Some UN*Xes don't have any "strtou*" routine to convert a string to a
64-bit integer; use "g_ascii_strtoull()", and, in the configure script,
check whether it's available in GLib (it's not in GLib 1.2[.x]) and, if
not, supply the GLib 2.4.5 version of the routine.

For G_MAXUINT32 and G_MAXUINT64, put a "U" at the end of the constant to
explicitly flag it as unsigned.

------------------------------------------------------------------------
r11888 | gerald | 2004-09-02 16:49:36 -0500 (Thu, 02 Sep 2004) | 2 lines
Changed paths:
   M /trunk/capture_combo_utils.c
   M /trunk/capture_combo_utils.h
   M /trunk/gtk/capture_dlg.c

Move get_if_name() from gtk/capture_dlg.c to capture_combo_utils.c.

------------------------------------------------------------------------
r11887 | gerald | 2004-09-02 14:52:39 -0500 (Thu, 02 Sep 2004) | 3 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/goto_dlg.c

Move the guts of gtk/file_dlg.c:goto_framenum_cb() to
file.c:goto_framenum(), where all of the other goto_ routines live.

------------------------------------------------------------------------
r11885 | ulfl | 2004-09-02 13:23:23 -0500 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/config.nmake

I've added some more comments to the file, and changed the python default setting from native to cygwin, as all the other tools uses cygwin as the default, too.
------------------------------------------------------------------------
r11884 | ulfl | 2004-09-02 13:05:06 -0500 (Thu, 02 Sep 2004) | 1 line
Changed paths:
   M /trunk/config.nmake

removed YACC_OPTS, as it seemed to be unneeded for quite a while now
------------------------------------------------------------------------
r11883 | sharpe | 2004-09-02 11:58:43 -0500 (Thu, 02 Sep 2004) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/gtk/menu.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/proto_draw.h
   M /trunk/gtk/ui_util.c
   M /trunk/gtk/ui_util.h

Add support for copying hex data to the clipboard. Submitted by Thomas 
Palmer.

What we really should do is add this to the Edit menu as well.


------------------------------------------------------------------------
r11880 | sahlberg | 2004-09-02 03:12:41 -0500 (Thu, 02 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c

change result code names to be the same as in the LDAP standard
so it is easier to grep between them


------------------------------------------------------------------------
r11876 | guy | 2004-09-01 13:48:31 -0500 (Wed, 01 Sep 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-time.c

Use the value for the UNIX epoch from RFC 868 for the difference between
the Time Protocol epoch and the UNIX epoch; that wasn't the value we
were using.

------------------------------------------------------------------------
r11875 | ulfl | 2004-09-01 08:50:02 -0500 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/dg-src/EDG_chapter_dissection.xml
   M /trunk/docbook/dg-src/EDG_chapter_env_intro.xml
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

various minor changes (adding missing id's to sections, changed some phrases, ...)
------------------------------------------------------------------------
r11874 | ulfl | 2004-09-01 06:53:28 -0500 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

renamed REQUIRED_APPS to REQUIRED_TOOLS and verify_apps to verify_tools, as it seems much more appropriate
------------------------------------------------------------------------
r11873 | ulfl | 2004-09-01 06:51:50 -0500 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml

rework of chapter
------------------------------------------------------------------------
r11872 | ulfl | 2004-09-01 06:51:08 -0500 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

added a section "Win32: Verify installed tools"
------------------------------------------------------------------------
r11871 | ulfl | 2004-09-01 04:31:06 -0500 (Wed, 01 Sep 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

reworked chapters
------------------------------------------------------------------------
r11870 | guy | 2004-09-01 03:12:20 -0500 (Wed, 01 Sep 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-image-jfif.c

Get rid of some unused variables.

Put into the protocol tree for APP1 and APP2 segments not otherwise
handled an item for the remaining segment data.

------------------------------------------------------------------------
r11869 | guy | 2004-09-01 02:07:23 -0500 (Wed, 01 Sep 2004) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-pcre.c
   M /trunk/epan/timestamp.c
   M /trunk/h225-persistentdata.c
   M /trunk/h225-persistentdata.h
   M /trunk/plugins/mgcp/packet-mgcp.h
   M /trunk/tap-h225rassrt.c

Make a bunch of source files non-executable.

------------------------------------------------------------------------
r11868 | guy | 2004-09-01 01:56:33 -0500 (Wed, 01 Sep 2004) | 2 lines
Changed paths:
   M /trunk/plugins/artnet/packet-artnet.c

Updates from Erwin Rol.

------------------------------------------------------------------------
r11867 | ulfl | 2004-08-31 16:02:52 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml

major rework
------------------------------------------------------------------------
r11866 | ulfl | 2004-08-31 15:58:01 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/dg-src/EDG_preface.xml

added some infos about the two parts of the book
------------------------------------------------------------------------
r11865 | ulfl | 2004-08-31 15:57:00 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_build_intro.xml

minor change (added a <filename> tag)
------------------------------------------------------------------------
r11864 | ulfl | 2004-08-31 07:39:25 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/doc/README.developer

add HFILL to the skeleton example and documentation of the field registration
------------------------------------------------------------------------
r11863 | ulfl | 2004-08-31 07:36:36 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/GPL_appendix.xml

fixed two typos
------------------------------------------------------------------------
r11862 | ulfl | 2004-08-31 07:35:49 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml

added correct usage of "svn diff" tool
------------------------------------------------------------------------
r11861 | ulfl | 2004-08-31 06:25:23 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   A /trunk/docbook/dg-src/EDG_chapter_build_intro.xml
   A /trunk/docbook/dg-src/EDG_chapter_dissection.xml
   A /trunk/docbook/dg-src/EDG_chapter_env_intro.xml (from /trunk/docbook/dg-src/EDG_chapter_introduction.xml:11855)
   D /trunk/docbook/dg-src/EDG_chapter_introduction.xml

added two (almost) emtpy new chapters
------------------------------------------------------------------------
r11860 | ulfl | 2004-08-31 06:24:10 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_userinterface.xml

some minor rework
------------------------------------------------------------------------
r11859 | ulfl | 2004-08-31 04:22:57 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/prefs.c
   M /trunk/prefs.h

added a preference setting, to be able to change the preview timeout in the file open dialog (as requested by Ronnie Sahlberg).
------------------------------------------------------------------------
r11858 | ulfl | 2004-08-31 04:19:41 -0500 (Tue, 31 Aug 2004) | 1 line
Changed paths:
   M /trunk/doc/README.developer

corrected paths, where the dissectors and the corresponding Makefile.common can be found, to epan/dissectors
------------------------------------------------------------------------
r11857 | sahlberg | 2004-08-31 03:30:58 -0500 (Tue, 31 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-dcerpc-samr.h


break out the nt decryption and password handling into a separate function
so we can call it from elsewhere


------------------------------------------------------------------------
r11856 | ulfl | 2004-08-31 03:18:10 -0500 (Tue, 31 Aug 2004) | 5 lines
Changed paths:
   M /trunk/gtk/file_dlg.c

Split the preview function into a prepare and a do part, to be able to do some experiments about the preview timeout things.

As the FileChooser dialog (GTK2.4) doesn't seem to let pass other GTK events (even with calling gtk_main_iteration()), it's not possible to change the preview behaviour to be more keen. To get a mechanism to update the preview independant from the dialog workings, we would need to start a new thread/task, which is too much effort for this IMHO.

So we might use the more simple approach of setting the timeout by a preference setting.
------------------------------------------------------------------------
r11855 | guy | 2004-08-30 21:49:28 -0500 (Mon, 30 Aug 2004) | 8 lines
Changed paths:
   M /trunk/gtk/main.c

Don't have a dummy widget to use for panes marked as "None" - that means
the widget in question gets more than one parent if more than one pane
is marked as "None", and GTK_ doesn't like that.  Instead, just have
"main_widget_layout()" return a null pointer for "None" panes, and don't
put the pane into the pane splitter if that pane is null.

Clean up the handling of layouts.

------------------------------------------------------------------------
r11854 | guy | 2004-08-30 05:03:54 -0500 (Mon, 30 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtcp.h
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtp.h
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-skinny.c

Pass an "address *" to "rtp_add_address()" and "rtcp_add_address()", so
so that they could handle IPv6 addresses.

Clean up white space.

------------------------------------------------------------------------
r11853 | sahlberg | 2004-08-30 04:49:08 -0500 (Mon, 30 Aug 2004) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Add a key  origin string for kerberos keys
so that IF kerberos succeeds in decrypting a blob it can print a nice
"[Decrypted using: keytab principal foo/bar@REALM]"
or
"[Decrypted using: key learnt from frame xx]"

This makes it much easier to keep track of what keys decrypt what blob
and is very useful for illustrating the sequence of keys that are exchanged and used in kerberos during the AS/TGS/AP exchanges.




------------------------------------------------------------------------
r11852 | sahlberg | 2004-08-30 03:40:08 -0500 (Mon, 30 Aug 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

For protocols running atop TCP and PDUs spanning multiple segments
ethereal used to (bug) print in the summary line
"[Continuation to #%d]" where %d was the current frame number.

Fix this bug and let %d print the frame number of the first frame for this multiframe PDU.


(Strange that no one has complained about this one)


------------------------------------------------------------------------
r11851 | sahlberg | 2004-08-30 03:31:21 -0500 (Mon, 30 Aug 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

Reintroduce the three previously removed  iscsi header digest preference options as obsolete preferences  so that users upgrading to later versions of ethereal will not get the warning output for unknown preferences printed to stdout.



------------------------------------------------------------------------
r11850 | sahlberg | 2004-08-28 23:12:35 -0500 (Sat, 28 Aug 2004) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

remove two preference options related to iscsi header digest

make ethereal attempt to automatically detect wether header digest is used or not for iscsi sessions.

This makes ethereal decode the packets properly EVEN for perfectly normal sessions where
the discovery session is performed with no digest but the normal login session negotiates digest.


the detected headerdigest setting is tcp session wide and thus it
it does not work for such initiators (if such exist) that resuse the same socketpair between the discovery and normal login sessions.



------------------------------------------------------------------------
r11849 | sahlberg | 2004-08-28 21:55:02 -0500 (Sat, 28 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

finalize refactoring of conversation handling.
what remains now is attaching autodetection of header digest to 
the session state structure.


------------------------------------------------------------------------
r11848 | sahlberg | 2004-08-28 20:15:32 -0500 (Sat, 28 Aug 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

move the conversation find and create into dissect_iscsi() from dissect_iscsi_pdu() so it will be easier to add a session wide state structure to iscsi.

later this soon to be implemented structure (and not the conversation) will 
hold the information we need to track  wether
digests etc are in use or not.

this also allows some minor indentation cleanups as well.



------------------------------------------------------------------------
r11847 | sahlberg | 2004-08-28 18:54:16 -0500 (Sat, 28 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

indentation change to make dissect_iscsi() easier to read


------------------------------------------------------------------------
r11846 | sahlberg | 2004-08-28 18:12:16 -0500 (Sat, 28 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

ISCSI Login Request and Login Response never contain any HeaderDigests


------------------------------------------------------------------------
r11845 | sahlberg | 2004-08-28 16:46:54 -0500 (Sat, 28 Aug 2004) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

fix the bug introduced in the window scaling update,   dont
try to access the conversation structures unless the
proper preferences are enabled (so that the structs exists iun the first place)



------------------------------------------------------------------------
r11844 | guy | 2004-08-28 16:27:08 -0500 (Sat, 28 Aug 2004) | 3 lines
Changed paths:
   M /trunk/gtk/capture_if_dlg.c

We use "#ifdef" elsewhere to test WIN32; use it, rather than #if, in the
one place we were using #if.

------------------------------------------------------------------------
r11843 | guy | 2004-08-28 04:54:04 -0500 (Sat, 28 Aug 2004) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/gtk/decode_as_dlg.c

From Francisco Alcoba: fix a crashing bug caused if you change the
dissection for a given transport protocol port and there's no packet
currently selected.

------------------------------------------------------------------------
r11842 | gerald | 2004-08-26 18:01:46 -0500 (Thu, 26 Aug 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Bump the GTK+ 2.4 version up to 2.4.7, and bup GTK-Wimp up to 0.62.

------------------------------------------------------------------------
r11841 | guy | 2004-08-26 17:48:29 -0500 (Thu, 26 Aug 2004) | 8 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/ethereal.nsi

From Lars Roland:

	don't support GTK-Wimp for GTK+ 1.2[.x] (it requires 2.x);

	install the NEWS file as "NEWS.txt";

	optionally show it at the end of an installation.

------------------------------------------------------------------------
r11840 | guy | 2004-08-26 17:46:32 -0500 (Thu, 26 Aug 2004) | 6 lines
Changed paths:
   M /trunk/plugins/asn1/Makefile.nmake

From Lars Roland: don't link with GTK+, as it's not necessary to do so,
and as plugin dissectors shouldn't be linked with GTK+ (so that they
don't depend on Ethereal being built with a particular version of GTK+ -
Ethereal is packaged for Windows in both GTK+ 1.3[.x] and 2.x versions -
and so that they can work with Tethereal, which doesn't use GTK+).

------------------------------------------------------------------------
r11839 | guy | 2004-08-26 17:03:47 -0500 (Thu, 26 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Clean up white space.

"dissect_sip()" returns a "gint", so it has to be registered with
"new_register_dissector()".

------------------------------------------------------------------------
r11838 | guy | 2004-08-26 13:34:16 -0500 (Thu, 26 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lwapp.c

Update the I-D name.

------------------------------------------------------------------------
r11837 | sahlberg | 2004-08-26 05:03:40 -0500 (Thu, 26 Aug 2004) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

fix to that long outstanding bug with windowscaling

If window scaling is NOT offered in the SYN+ACK  then window scaling will
not be used at all, so clear it if we saw it offered previously in the SYN packet.

If the window is scaled in a packet,  make ethereal display that by appendign the 
string "  (scaled)" to the end of the tcp.window line in the
decode pane.



------------------------------------------------------------------------
r11836 | guy | 2004-08-26 02:46:29 -0500 (Thu, 26 Aug 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ncp2222.inc

From Greg Morris:

	1. Fix Fax Number NDS attribute.  This was causing malformed
	   packet message due to improper decoding. 

	2. Do not try to decode packet beyond connection status when
	   return value is non-zero (error condition).

------------------------------------------------------------------------
r11835 | ulfl | 2004-08-25 14:35:11 -0500 (Wed, 25 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_io.xml
   M /trunk/docbook/ug-src/EUG_chapter_work.xml

fixed some typos
------------------------------------------------------------------------
r11834 | sahlberg | 2004-08-25 06:35:04 -0500 (Wed, 25 Aug 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Add the optional 13th tag to the KRB_ERR structure.

This tag was part of an early kerberos draft but had dissapeared
when 1510 was published.
this early draft exist in implementations in the wild.

add 4 extra checksum types as well from that draft.



------------------------------------------------------------------------
r11833 | sahlberg | 2004-08-25 05:48:37 -0500 (Wed, 25 Aug 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Prettify the principal name expansion to make it look more like normal kerberos notation for principals

i.e. display it as "foo/bar"  instead of as "foo bar"




------------------------------------------------------------------------
r11832 | guy | 2004-08-25 00:51:14 -0500 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

Newer version of Luis Ontanon's patch.

------------------------------------------------------------------------
r11831 | etxrab | 2004-08-25 00:24:49 -0500 (Wed, 25 Aug 2004) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Luis Ontanon to the list of authors.
------------------------------------------------------------------------
r11830 | etxrab | 2004-08-25 00:14:17 -0500 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radius.c

From Luis Ontanon:
add some fields for filtering on radius attributes. 
------------------------------------------------------------------------
r11829 | guy | 2004-08-25 00:12:58 -0500 (Wed, 25 Aug 2004) | 2 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

Don't free something we haven't allocated.

------------------------------------------------------------------------
r11828 | guy | 2004-08-24 22:44:04 -0500 (Tue, 24 Aug 2004) | 9 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-integer.c

guint64 & guint64 is another guint64, but a gboolean is just 32 bits on
most if not all platforms; the "bitwise and" operator in display filters
is Boolean and evaluates to "true" if the result is non-zero and "false"
otherwise, so explicitly do the comparison with 0 to make sure we don't
just throw away the upper 32 bits.

Do the same for the 32-bit bitwise AND as well, although it's not
strictly necessary.

------------------------------------------------------------------------
r11827 | guy | 2004-08-24 22:32:26 -0500 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/ethereal.nsi

From Lars Roland: cosmetic fixes.

------------------------------------------------------------------------
r11826 | guy | 2004-08-24 22:30:40 -0500 (Tue, 24 Aug 2004) | 6 lines
Changed paths:
   M /trunk/plugins/Xass-list
   M /trunk/plugins/Xplugin_api.c
   M /trunk/plugins/Xplugin_api.h
   M /trunk/plugins/Xplugin_api_decls.h
   M /trunk/plugins/Xplugin_table.h

From Lars Roland: add "tvb_get_ntoh64()" to the list of routines
callable from plugins and the list of routines exported from
libethereal.dll.

Do the same for "tvb_get_letoh64()".

------------------------------------------------------------------------
r11825 | guy | 2004-08-24 22:29:54 -0500 (Tue, 24 Aug 2004) | 6 lines
Changed paths:
   M /trunk/epan/libethereal.def
   M /trunk/plugins/plugin_api_list.c

From Lars Roland: add "tvb_get_ntoh64()" to the list of routines
callable from plugins and the list of routines exported from
libethereal.dll.

Do the same for "tvb_get_letoh64()".

------------------------------------------------------------------------
r11824 | guy | 2004-08-24 22:26:56 -0500 (Tue, 24 Aug 2004) | 6 lines
Changed paths:
   M /trunk/config.h.win32

"_strtoui64()" first appeared in MSVC++ 7 (good job of supporting those
64-bit ints *present in MSVC++ 6*, Microsoft!), so we can't use it.  Use
"g_ascii_strtoull()", instead - it's present in GLib 2.x, and we require
GLib 2.x on Win32.  (It's not present in 1.2[.x], and we don't require
2.x for UN*X, so we don't just use it everywhere.)

------------------------------------------------------------------------
r11823 | gerald | 2004-08-24 22:01:32 -0500 (Tue, 24 Aug 2004) | 2 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/file_dlg.c

Move the file-reloading code from gtk/file_dlg.c to file.c.

------------------------------------------------------------------------
r11821 | sahlberg | 2004-08-24 04:07:04 -0500 (Tue, 24 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Fix the InfoQueryEASize infolevel for SetPathInfo and QueryPathInfo SMB's


------------------------------------------------------------------------
r11820 | guy | 2004-08-24 03:20:20 -0500 (Tue, 24 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/column-utils.c

When deciding whether to add a separator or not, look at the buffer to
which we're going to append the data.

------------------------------------------------------------------------
r11819 | guy | 2004-08-24 02:48:14 -0500 (Tue, 24 Aug 2004) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-teredo.c

From Remi Denis-Courmon: fix some problems with the decoding of Teredo
authentication headers and decode them more verbosely, and make some
other cleanups.

------------------------------------------------------------------------
r11818 | guy | 2004-08-24 02:38:29 -0500 (Tue, 24 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/column-utils.c

In "col_append_sep_fstr()" and "col_append_sep_str()", check "col_data"
rather than "col_buf", so that we correctly handle a column set with
"col_set_str()" (where we set "col_data" to point to the string, and
leave "col_buf" alone).

------------------------------------------------------------------------
r11817 | ulfl | 2004-08-23 16:52:40 -0500 (Mon, 23 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_introduction.xml

redesign of the introduction chapter
------------------------------------------------------------------------
r11816 | ulfl | 2004-08-23 14:46:18 -0500 (Mon, 23 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

minor changes
------------------------------------------------------------------------
r11815 | etxrab | 2004-08-23 14:23:31 -0500 (Mon, 23 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Register SIP as a dissector to be able to do:
sip_handle = find_dissector("sip");
Which will be used by SigComp.
------------------------------------------------------------------------
r11813 | guy | 2004-08-22 21:00:58 -0500 (Sun, 22 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Set the parameter item for called party number, calling party number,
and redirecting number to include the number.

Clean up white space.

------------------------------------------------------------------------
r11812 | guy | 2004-08-22 20:04:46 -0500 (Sun, 22 Aug 2004) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-mapi.c

Don't save the decrypted data on the first pass and use it on subsequent
references to a packet - just re-"decrypt" it (not a lot of work, given
the sophisticated encryption MAPI uses).  We don't save decrypted data
for non-trivial encryptions, so there's not much of a reason to save it
here - and the code to save it was at least sometimes not finding it
again, causing crashes.

Set the length and reported length of the decrypted data tvbuff
appropriately.

------------------------------------------------------------------------
r11811 | etxrab | 2004-08-22 15:32:20 -0500 (Sun, 22 Aug 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Add the changes promised in the earlier checkin:

From Luis Ontanon:  add some fields for filtering r packet-isup which adds A,B and C numbers to the 
 fields (that is called,calling and redirecting number). Changed the patch to not use hidden fields and some code clean up
------------------------------------------------------------------------
r11810 | ulfl | 2004-08-22 07:22:09 -0500 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_chapter_build_install.xml

added win32 installer components description
------------------------------------------------------------------------
r11809 | ulfl | 2004-08-22 06:19:46 -0500 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

add even more content :-)
------------------------------------------------------------------------
r11808 | jmayer | 2004-08-22 04:22:15 -0500 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   D /trunk/Ethereal.desktop
   M /trunk/Makefile.am
   A /trunk/ethereal.desktop (from /trunk/Ethereal.desktop:11804)

It looks like Debian, Fedora and Suse all use ethereal.desktop instead of Ethereal.desktop
------------------------------------------------------------------------
r11807 | jmayer | 2004-08-22 04:16:01 -0500 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/Makefile
   M /trunk/docbook/catalog.xml

Use -N for commits on directories or back out all local changes afterwards
------------------------------------------------------------------------
r11806 | jmayer | 2004-08-22 04:10:12 -0500 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook
   M /trunk/docbook/Makefile
   M /trunk/docbook/catalog.xml

Ignore developer-guide.pdf
------------------------------------------------------------------------
r11805 | jmayer | 2004-08-22 04:07:19 -0500 (Sun, 22 Aug 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-daap.c

Propset eol-style and keywords
------------------------------------------------------------------------
r11804 | ulfl | 2004-08-22 02:04:01 -0500 (Sun, 22 Aug 2004) | 6 lines
Changed paths:
   D /trunk/docbook/GFDPL_appendix.xml
   A /trunk/docbook/GPL_appendix.xml (from /trunk/docbook/GFDPL_appendix.xml:11793)
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/dg-src/EDG_meta_info.xml
   D /trunk/docbook/ethereal-doc.txt
   M /trunk/docbook/user-guide.xml

as it's frequently questioned, if the GFDL is really a free license (e.g. by the Debian project)

after asking the former authors of the User's Guide (Richard Sharpe and Ed Warnicke) for permission

I've changed the license for both the User's and Developer's Guide from GFDL to GPL

------------------------------------------------------------------------
r11803 | guy | 2004-08-21 22:16:05 -0500 (Sat, 21 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

We don't need a variable to hold the sequence number any more - just
directly pass the result of "tvb_get_ntoh64()" to "proto_tree_add_text()".

------------------------------------------------------------------------
r11802 | guy | 2004-08-21 22:11:43 -0500 (Sat, 21 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-daap.c

Use "tvb_get_ntoh64()", now that we have it.

------------------------------------------------------------------------
r11801 | guy | 2004-08-21 22:04:54 -0500 (Sat, 21 Aug 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-daap.c
   M /trunk/epan/dissectors/packet-http.c

From Kelly Byrd: DAAP support.

------------------------------------------------------------------------
r11800 | guy | 2004-08-21 21:42:27 -0500 (Sat, 21 Aug 2004) | 6 lines
Changed paths:
   M /trunk/plugins/gryphon/packet-gryphon.c

Ethereal has required guint64 support for a while, so there's no need to
check for it in the Gryphon plugin.

Use "tvb_get_ntoh64()" to fetch the time stamp, and format it similarly
to the way absolute date/time time stamps are formatted.

------------------------------------------------------------------------
r11799 | guy | 2004-08-21 20:43:16 -0500 (Sat, 21 Aug 2004) | 5 lines
Changed paths:
   M /trunk/config.h.win32

We're using "strtoull()", not "strtol()" - define "strtoull", not
"strtol", as "_strtoui64".

Make the comment match what the UN*X configure script puts in.

------------------------------------------------------------------------
r11798 | guy | 2004-08-21 20:41:47 -0500 (Sat, 21 Aug 2004) | 4 lines
Changed paths:
   M /trunk/configure.in

FreeBSD 3.4 doesn't have "strtoull()", but it does have "strtouq()",
which does the same thing - check for "strtoull()" and, if it's missing,
check for "strtouq()" and, if we have it, define strtoull as strtouq.

------------------------------------------------------------------------
r11797 | guy | 2004-08-21 20:40:21 -0500 (Sat, 21 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-integer.c

GLib 1.2[.x] doesn't define G_MAXUINT64, just as it doesn't define
G_MAXUINT32, so we have to define it if it's not defined.

------------------------------------------------------------------------
r11796 | guy | 2004-08-21 19:31:58 -0500 (Sat, 21 Aug 2004) | 9 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/doc/README.developer
   M /trunk/doc/README.tvbuff
   M /trunk/epan/Makefile.common
   M /trunk/epan/dissectors/packet-aodv.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/ftypes/ftype-double.c
   M /trunk/epan/ftypes/ftype-integer.c
   M /trunk/epan/ftypes/ftype-ipv4.c
   M /trunk/epan/ftypes/ftype-none.c
   M /trunk/epan/ftypes/ftype-pcre.c
   M /trunk/epan/ftypes/ftype-string.c
   M /trunk/epan/ftypes/ftype-time.c
   M /trunk/epan/ftypes/ftype-tvbuff.c
   M /trunk/epan/ftypes/ftypes.c
   M /trunk/epan/ftypes/ftypes.h
   D /trunk/epan/int-64bit.c
   D /trunk/epan/int-64bit.h
   M /trunk/epan/pint.h
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

Add "tvb_get_ntoh64()" and "tvb_get_letoh64()" routines to fetch 64-bit
integers.

Make FT_INT64 and FT_UINT64 add numerical values, rather than byte-array
values, to the protocol tree, and add routines to add specified 64-bit
integer values to the protocol tree.

Use those routines in the RSVP dissector.

------------------------------------------------------------------------
r11795 | ulfl | 2004-08-21 18:08:27 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml

make the files conform to the docbook DTD
------------------------------------------------------------------------
r11794 | ulfl | 2004-08-21 17:46:25 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

added some more content
------------------------------------------------------------------------
r11793 | ulfl | 2004-08-21 15:35:50 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml

added book partintro's
------------------------------------------------------------------------
r11792 | ulfl | 2004-08-21 15:34:22 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml

minor changes in chapter sources, a lot more changes and additions in chapter tools
------------------------------------------------------------------------
r11791 | ulfl | 2004-08-21 15:29:47 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_introduction.xml
   M /trunk/docbook/dg-src/EDG_preface.xml

minor changes
------------------------------------------------------------------------
r11790 | jmayer | 2004-08-21 14:47:50 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Missed the second case in last change
------------------------------------------------------------------------
r11789 | jmayer | 2004-08-21 14:41:24 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

The chaddr element is always 16 bytes in size, although only hlen bytes are used
------------------------------------------------------------------------
r11788 | jmayer | 2004-08-21 14:02:14 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   M /trunk/docbook/dg-src/EDG_chapter_sources.xml
   M /trunk/docbook/dg-src/EDG_chapter_tools.xml
   M /trunk/docbook/dg-src/EDG_chapter_userinterface.xml

Propset Id and native
------------------------------------------------------------------------
r11787 | jmayer | 2004-08-21 13:56:39 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/Ethereal.desktop

Update with Entries from Fedora and Suse 9.1
------------------------------------------------------------------------
r11786 | ulfl | 2004-08-21 11:30:04 -0500 (Sat, 21 Aug 2004) | 3 lines
Changed paths:
   M /trunk/docbook/Makefile
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/dg-src/EDG_chapter_introduction.xml
   A /trunk/docbook/dg-src/EDG_chapter_libraries.xml
   A /trunk/docbook/dg-src/EDG_chapter_sources.xml
   A /trunk/docbook/dg-src/EDG_chapter_tools.xml
   A /trunk/docbook/dg-src/EDG_chapter_userinterface.xml

added a lot of content about the build environment, as the required tools, libraries and such (much win32 related stuff).

doc is still at a *very* early stage and still very incomplete, but constantly growing now :-)
------------------------------------------------------------------------
r11785 | ulfl | 2004-08-21 06:11:13 -0500 (Sat, 21 Aug 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Replaced the column string [Reassembled TCP] by [TCP segment of a reassembled PDU], to be better understandable. But I'm still not satisfied with this...
------------------------------------------------------------------------
r11784 | ulfl | 2004-08-21 04:02:52 -0500 (Sat, 21 Aug 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-cast.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-distcc.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dsi.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-fcip.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-laplink.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-srvloc.c
   M /trunk/epan/dissectors/packet-ssh.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-tns.c
   M /trunk/epan/dissectors/packet-tpkt.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-xot.c
   M /trunk/epan/dissectors/packet-ymsg.c

Prevent the word "desegmentation" at the GUI, but use reassembling at that places, as we also use "defragmentation" and "reassembling". Use reassembling as the general term for such actions.

I (hopefully) didn't changed any protocol fields or preference file names, but only the GUI labels appearing in the protocol display and the protocol preferences.

Also added a note to the protocol preferences (where appropriate), that you have to enable "Allow subdissectors to reassemble TCP streams" at the corresponding protocol settings for TCP reassembling to take effect.

If you encounter any mistakes I've made here, please let me know...

------------------------------------------------------------------------
r11783 | guy | 2004-08-20 20:19:36 -0500 (Fri, 20 Aug 2004) | 7 lines
Changed paths:
   M /trunk/capinfo.c

"localtime()" returns a value that might not survive a subsequent call
to "localtime()" (it might, for example, be static - and *is* static in
a lot of implementations).  Don't call it twice and expect both values
to be useful.

Clean up white space.

------------------------------------------------------------------------
r11782 | guy | 2004-08-20 12:48:45 -0500 (Fri, 20 Aug 2004) | 2 lines
Changed paths:
   M /trunk/INSTALL

Update to reflect GTK+/GLib 2.x now being the default.

------------------------------------------------------------------------
r11781 | guy | 2004-08-20 03:15:11 -0500 (Fri, 20 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c

From Matthew Bradley: add filterable fields for the COTP TPDU numbers
and for the last-packet/earlier-fragment flag.

------------------------------------------------------------------------
r11780 | etxrab | 2004-08-19 15:28:34 -0500 (Thu, 19 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

From Luis Ontanon:  add some fields for filtering r packet-isup which adds A,B and C numbers to the 
 fields (that is called,calling and redirecting number). Changed the patch to not use hidden fields and some code clean up.
------------------------------------------------------------------------
r11779 | guy | 2004-08-19 14:44:57 -0500 (Thu, 19 Aug 2004) | 5 lines
Changed paths:
   M /trunk/doc/README.developer

Note that "G_GINT64_CONSTANT()" should be used for constant values that
don't fit in 32 bits, rather than using "LL" at the end.

Clean up some other 64-bit-integer items.

------------------------------------------------------------------------
r11775 | gerald | 2004-08-19 09:35:55 -0500 (Thu, 19 Aug 2004) | 6 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/file_dlg.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/range_utils.c

As suggested by Guy: Have mark_frame() do nothing if the frame has
already been marked and have unmark_frame() do likewise.  Don't mess
with the marked frame count in mark_all_frames().

Be a little more paranoid about the marked frame count in other places.

------------------------------------------------------------------------
r11774 | guy | 2004-08-19 04:00:20 -0500 (Thu, 19 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

MSVC++ doesn't understand that "64_bit_integer % 10000000" fits in an
"int", so we throw in a cast to squelch a warning.

------------------------------------------------------------------------
r11773 | guy | 2004-08-19 02:55:30 -0500 (Thu, 19 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Use "G_GINT64_CONSTANT()" for 64-bit integral constants, rather than
hardwiring "LL" as the suffix - it's not "LL" in MSVC++.

------------------------------------------------------------------------
r11772 | jmayer | 2004-08-18 18:24:05 -0500 (Wed, 18 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_introduction.xml

Props: Keywords and line-style
------------------------------------------------------------------------
r11771 | gerald | 2004-08-18 16:05:38 -0500 (Wed, 18 Aug 2004) | 3 lines
Changed paths:
   M /trunk/file.c

If you mark all frames, then unmark all frames "marked_count" overflows.
Keep this from happening.

------------------------------------------------------------------------
r11769 | tuexen | 2004-08-18 09:11:25 -0500 (Wed, 18 Aug 2004) | 2 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

Added initial SCTP support: You can chose how PPID 0 will be handled.

------------------------------------------------------------------------
r11768 | ulfl | 2004-08-18 03:13:29 -0500 (Wed, 18 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_chapter_introduction.xml

added some more info to the intro (has to be cleaned up)
------------------------------------------------------------------------
r11767 | guy | 2004-08-18 02:34:15 -0500 (Wed, 18 Aug 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtp.c

Don't assume that if we find a conversation that we've set a dissector
for it, or that we've given it a conversation data item - the
conversation might exist for other reasons. 

------------------------------------------------------------------------
r11766 | ulfl | 2004-08-18 02:04:23 -0500 (Wed, 18 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   A /trunk/docbook/dg-src/EDG_chapter_introduction.xml
   M /trunk/docbook/dg-src/EDG_preface.xml

very first draft of introduction chapter (copied some things from the user's guide)
------------------------------------------------------------------------
r11765 | guy | 2004-08-18 01:56:36 -0500 (Wed, 18 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

Samba's smbclient doesn't put the extra stuff after the list of names in
the NTLMv2 blob, so don't bother dissecting it for now - perhaps we
should see how much of the NTLMv2 response remains, and, if there is
any, put it into the tree as extra data.

------------------------------------------------------------------------
r11764 | ulfl | 2004-08-18 01:56:04 -0500 (Wed, 18 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/ug-src/EUG_preface.xml
   M /trunk/docbook/user-guide.xml

self referring entry (link to ethereal page) fixed
------------------------------------------------------------------------
r11762 | jmayer | 2004-08-17 17:38:01 -0500 (Tue, 17 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/dg-src/EDG_preface.xml

props: Keywords and eol-style
------------------------------------------------------------------------
r11761 | ulfl | 2004-08-17 12:09:14 -0500 (Tue, 17 Aug 2004) | 1 line
Changed paths:
   M /trunk/docbook/Makefile
   M /trunk/docbook/developer-guide.xml
   D /trunk/docbook/dg-src/EDG_chapter_five.xml
   D /trunk/docbook/dg-src/EDG_chapter_four.xml
   D /trunk/docbook/dg-src/EDG_chapter_one.xml
   D /trunk/docbook/dg-src/EDG_chapter_three.xml
   D /trunk/docbook/dg-src/EDG_chapter_two.xml
   A /trunk/docbook/dg-src/EDG_preface.xml

very first steps for a "new" developer's guide
------------------------------------------------------------------------
r11759 | obiot | 2004-08-17 03:47:30 -0500 (Tue, 17 Aug 2004) | 2 lines
Changed paths:
   M /trunk/tools/win32-setup.sh

Check for both HTTP_PROXY and http_proxy in MSVC++ setup.

------------------------------------------------------------------------
r11758 | guy | 2004-08-16 20:12:29 -0500 (Mon, 16 Aug 2004) | 4 lines
Changed paths:
   M /trunk/README.irix

Note that some of the IRIX problems might no longer exist - and get rid
of the libpcap patch, as it's incorporated into current versions of
libpcap.

------------------------------------------------------------------------
r11757 | guy | 2004-08-16 19:34:26 -0500 (Mon, 16 Aug 2004) | 4 lines
Changed paths:
   M /trunk/README.macos

We now try to detect OS X systems with a new libpcap but old headers,
and not try to use the shiny new routines on those systems, so you
shouldn't get the "`pcap_if_t' undeclared" error any more.

------------------------------------------------------------------------
r11756 | guy | 2004-08-16 19:21:13 -0500 (Mon, 16 Aug 2004) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

Don't give up on the entire DHCPv6 packet if we find an error in
encapsulated options, just give up on the option in which they're
encapsulated.

Note that for the Relay Message option, we should perhaps dissect the
option data as a DHCP message, not just a sequence of options.

------------------------------------------------------------------------
r11754 | guy | 2004-08-16 17:30:04 -0500 (Mon, 16 Aug 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

Don't do the FILETIME->nstime_t conversion in floating point, as it
produces some floating-point noise in the nanoseconds field; we've
required 64-bit integer support for a while, so use that.

------------------------------------------------------------------------
r11753 | ulfl | 2004-08-16 12:18:04 -0500 (Mon, 16 Aug 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-windows-common.c

cast define of TIME_T_MIN and TIME_T_MAX to (time_t), as MSVC seems to have problems with this definition and throws a warning "convert negative constant to unsigned integer"
------------------------------------------------------------------------
r11752 | guy | 2004-08-16 02:59:18 -0500 (Mon, 16 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

From Ronnie Sahlberg: update the fs attributes to be more complete and
correctly dissected.

------------------------------------------------------------------------
r11751 | guy | 2004-08-16 02:53:07 -0500 (Mon, 16 Aug 2004) | 3 lines
Changed paths:
   M /trunk/asn1/x509sat/SelectedAttributeTypes.asn
   M /trunk/asn1/x509sat/packet-x509sat-template.c
   M /trunk/epan/dissectors/packet-x509sat.c

From Ronnie Sahlberg: add dissection of the Teletext string type to the
DirectoryString choice in SelectedAttributeTypes.

------------------------------------------------------------------------
r11750 | guy | 2004-08-16 02:52:07 -0500 (Mon, 16 Aug 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

Whenever we call "dhcpv6_option()", check to make sure it didn't set
"at_end" - if it does, the option is sufficiently bad that we can't
continue dissecting the packet, so we give up.

------------------------------------------------------------------------
r11749 | guy | 2004-08-16 01:24:17 -0500 (Mon, 16 Aug 2004) | 3 lines
Changed paths:
   M /trunk/gtk/gui_prefs.c

Get rid of unused enum_val_t table (the wrap vs. no-wrap in search flag
is a Boolean, not an enum).

------------------------------------------------------------------------
r11748 | guy | 2004-08-16 00:54:01 -0500 (Mon, 16 Aug 2004) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

From Martin Mathieson:

	- test for NULL conversation data to avoid a potential crash when
	  looking up stream setup info (as RTP dissector does);

	- adds a heuristic function (like RTP, this is a preference
	  initially set to off).

------------------------------------------------------------------------
r11747 | guy | 2004-08-15 21:23:41 -0500 (Sun, 15 Aug 2004) | 2 lines
Changed paths:
   M /trunk/acinclude.m4

Fix a typo.

------------------------------------------------------------------------
r11746 | guy | 2004-08-15 20:13:11 -0500 (Sun, 15 Aug 2004) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcp-failover.c

According to draft-ietf-dhc-failover-10, the message digest type is 1
byte - and a length of 1 is used to put the message digest into the
protocol tree, which agrees with that.  Therefore, "tvb_get_guint8()"
should be used to fetch it.

------------------------------------------------------------------------
r11745 | guy | 2004-08-15 20:11:23 -0500 (Sun, 15 Aug 2004) | 18 lines
Changed paths:
   M /trunk/acinclude.m4

For "pcap_findalldevs()", don't assume that just because it's in -lpcap
it's usable - one of the updates to OS X 10.3 updated libpcap to
0.8[.x], so that it had "pcap_findalldevs()", but didn't update
"pcap.h", so it didn't declare "pcap_if_t", so you couldn't actually
*use* it.  You can work around that by installing the pcap.h (and
pcap-bpf.h) from the matching tcpdump.org release, but, as even when
that version of OS X is pre-installed rather than being the result of a
Software Update, you still don't get the new "pcap.h" (at least I didn't
get it on my PowerBook with 10.3.4).  Therefore, we check whether a
program that calls "pcap_findalldevs()" *and* declares a "pcap_if_t *"
to pass to it can be compiled and linked with -lpcap, and only declare
HAVE_PCAP_FINDALLDEVS if we can.

Also, don't check for the functions added to libpcap after
"pcap_findalldevs()" was added unless we have a usable
"pcap_findalldevs()", as, if not, those functions won't be declared in
"pcap.h" either, so we'll get compiler warnings.

------------------------------------------------------------------------
r11744 | gerald | 2004-08-15 14:26:25 -0500 (Sun, 15 Aug 2004) | 2 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/gui_prefs.c
   M /trunk/prefs.c
   M /trunk/prefs.h

From Greg Morris: Add a configuration option to control search wrapping.

------------------------------------------------------------------------
r11743 | gerald | 2004-08-15 13:32:24 -0500 (Sun, 15 Aug 2004) | 2 lines
Changed paths:
   A /trunk/asn1/ns-cert-exts
   A /trunk/asn1/ns-cert-exts/NETSCAPE-CERT-EXTS.asn
   A /trunk/asn1/ns-cert-exts/ns_cert_exts.cnf
   A /trunk/asn1/ns-cert-exts/packet-ns_cert_exts-template.c
   A /trunk/asn1/ns-cert-exts/packet-ns_cert_exts-template.h
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-ns_cert_exts.c

From Ronnie Sahlberg:  Netscape certificate extensions.

------------------------------------------------------------------------
r11742 | jmayer | 2004-08-15 06:39:13 -0500 (Sun, 15 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcp-failover.c

Make message_digest_type a guint16. Removed cast.
Spotted by Ulf Lamping.

------------------------------------------------------------------------
r11741 | ulfl | 2004-08-15 06:25:35 -0500 (Sun, 15 Aug 2004) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dhcp-failover.c

remove MSVC compiler warning (required a type cast)
------------------------------------------------------------------------
r11740 | guy | 2004-08-14 22:24:47 -0500 (Sat, 14 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

Dissect the last unknown item at the end of the NTLMv2 blob.

------------------------------------------------------------------------
r11739 | jmayer | 2004-08-14 16:20:28 -0500 (Sat, 14 Aug 2004) | 1 line
Changed paths:
   M /trunk/ChangeLog

@ -> [AT]
------------------------------------------------------------------------
r11737 | obiot | 2004-08-13 14:45:35 -0500 (Fri, 13 Aug 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Keep spammers away: do NOT put an @ sign in contributor's email addresses!

------------------------------------------------------------------------
r11736 | guy | 2004-08-13 04:47:23 -0500 (Fri, 13 Aug 2004) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-aim-icq.c
   A /trunk/epan/dissectors/packet-dcerpc-iremunkn.c
   A /trunk/epan/dissectors/packet-dcerpc-iremunkn2.c
   M /trunk/epan/dissectors/packet-dcerpc-oxid.c
   A /trunk/epan/dissectors/packet-dcerpc-sysact.c

From Jelmer Vernooij:

	OSCAR-ICQ updates;
	DCOM IRemUnknown and IRemUnknown2 support.

------------------------------------------------------------------------
r11735 | guy | 2004-08-13 04:35:25 -0500 (Fri, 13 Aug 2004) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-maccontrol.c

From Giles Scott: Ethernet MAC Control Frame support.

------------------------------------------------------------------------
r11734 | guy | 2004-08-13 03:27:58 -0500 (Fri, 13 Aug 2004) | 6 lines
Changed paths:
   M /trunk/tethereal.c

When opening an output file, use "file_snaplen" as the snapshot length,
rather than "pcap_snapshot(ld.pch)" - we've set "file_snaplen" to
"pcap_snapshot(ld.pch)" if we're capturing from a device, but if we're
reading from a pipe, "ld.pch" is null (so we'll crash if we use it), and
we've set "file_snaplen" from the header we've read from a pipe.

------------------------------------------------------------------------
r11733 | gerald | 2004-08-12 21:39:49 -0500 (Thu, 12 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/libethereal.def
   M /trunk/epan/strutil.c
   M /trunk/epan/strutil.h
   M /trunk/gtk/find_dlg.c

Move convert_string_to_hex() and convert_string_case() from gtk/find_dlg.c
to epan/strutil.c

------------------------------------------------------------------------
r11732 | gerald | 2004-08-12 21:06:46 -0500 (Thu, 12 Aug 2004) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS

Copy over the NEWS and ChangeLog from the 0.10.6 release tree.

------------------------------------------------------------------------
r11729 | gerald | 2004-08-12 17:45:59 -0500 (Thu, 12 Aug 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add capinfo.rc.in and wiretap.rc.in to the distribution.

------------------------------------------------------------------------
r11727 | gerald | 2004-08-12 16:45:12 -0500 (Thu, 12 Aug 2004) | 3 lines
Changed paths:
   M /trunk/doc/Makefile.am
   M /trunk/make-authors-short.pl

From Graeme Hewson: Keep the list of authors in the Ethereal man page from 
wrapping, and fix the title.

------------------------------------------------------------------------
r11726 | guy | 2004-08-12 16:32:20 -0500 (Thu, 12 Aug 2004) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Note that the CIFS spec claims that the service name string in Tree
Connect AndX is always ASCII; we don't assume it is - the spec may very
well be wrong.

------------------------------------------------------------------------
r11721 | gerald | 2004-08-11 16:22:49 -0500 (Wed, 11 Aug 2004) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Update to GTK-Wimp 0.6.1.

------------------------------------------------------------------------
r11718 | gerald | 2004-08-11 15:34:42 -0500 (Wed, 11 Aug 2004) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake

Change the "setup" target to download the updated GTK+ libraries described
at http://mail.gnome.org/archives/gtk-devel-list/2004-August/msg00058.html .

------------------------------------------------------------------------
r11717 | guy | 2004-08-11 14:11:16 -0500 (Wed, 11 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-snmp.c

From Tomas Kukosa: add a dissector table for OIDs in variable bindings,
so the variable value can be dissected by a subdissector.

------------------------------------------------------------------------
r11713 | guy | 2004-08-10 17:45:47 -0500 (Tue, 10 Aug 2004) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tds.c

The FreeTDS documentation on TDS claims that the field after the locale
(or, as that documentation calls it, the language name) is the database
name; mark it as such.

It also says there's some other stuff, such as a client MAC address,
after the database offset/length (and that the NTLMSSP message doesn't
come right after the database offset/length, there's an offset/length
for the NTLMSSP message).  Put in a comment about that.

------------------------------------------------------------------------
r11648 | guy | 2004-08-10 16:29:57 -0500 (Tue, 10 Aug 2004) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/column-utils.c

From Neil Piercy: put in some missing "put in the terminating NUL"s
after "vsnprintf()" calls.

------------------------------------------------------------------------
r11646 | guy | 2004-08-10 16:23:34 -0500 (Tue, 10 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

Add support for FT_FLOAT and FT_DOUBLE in "proto_tree_add_item()"
(untested).

------------------------------------------------------------------------
r11644 | gerald | 2004-08-10 10:10:45 -0500 (Tue, 10 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

From Graham Bloice: Allow libethereal.dll to be built after recent changes.

------------------------------------------------------------------------
r11642 | guy | 2004-08-10 03:00:55 -0500 (Tue, 10 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.common

Fix a typo.

------------------------------------------------------------------------
r11641 | guy | 2004-08-10 02:52:11 -0500 (Tue, 10 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.common
   M /trunk/epan/Makefile.nmake

Add LIBETHEREAL_SRC and LIBETHEREAL_INCLUDES to epan/Makefile.common,
and have epan/Makefile.am and epan/Makefile.nmake use them.

------------------------------------------------------------------------
r11640 | guy | 2004-08-10 02:03:21 -0500 (Tue, 10 Aug 2004) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcp-failover.c

Use the protocol short name as the Protocol column value, as is done in
other dissectors.

------------------------------------------------------------------------
r11639 | guy | 2004-08-10 00:27:50 -0500 (Tue, 10 Aug 2004) | 3 lines
Changed paths:
   M /trunk/capture-wpcap.c

From Graham Bloice: if we don't have "pcap_lib_version()" in WinPcap, we
might have "PacketLibraryVersion[]" in packet.dll - try using that.

------------------------------------------------------------------------
r11638 | gerald | 2004-08-09 17:31:21 -0500 (Mon, 09 Aug 2004) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h

Merge the "resolv" rename changes with the trunk.

------------------------------------------------------------------------
